# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define with_bootstrap1 %{?_with_bootstrap1:1}%{!?_with_bootstrap1:0}
%define without_bootstrap1 %{!?_with_bootstrap1:1}%{?_with_bootstrap1:0}

%define with_bootstrap2 %{?_with_bootstrap2:1}%{!?_with_bootstrap2:0}
%define without_bootstrap2 %{!?_with_bootstrap2:1}%{?_with_bootstrap2:0}

%define with_bootstrap3 %{?_with_bootstrap3:1}%{!?_with_bootstrap3:0}
%define without_bootstrap3 %{!?_with_bootstrap3:1}%{?_with_bootstrap3:0}

%define section free
%define standalone_compiler_version 3.8.0

Name:           geronimo11
Version:        1.1
Release:        3jpp
Epoch:          0
Summary:        Geronimo J2EE Server
License:        Apache Software License 2.0
Group:          Internet/WWW/Servers
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://geronimo.apache.org/
Source:         http://www.apache.org/dist/geronimo/1.1.1/geronimo_src-1.1.tar.gz
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        geronimo11-1.1-jpp-depmap.xml
Source5:        geronimo11.conf
Source6:        geronimo11.init
Source7:        geronimo11.sysconfig

Patch0:         geronimo11-etc-project_xml.patch
Patch1:         geronimo11-system-project_properties.patch
Patch2:         geronimo11-1.1-installer-support-maven_xml.patch
Patch3:         geronimo11-1.1-applications-daytrader-derby-maven_xml.patch
Patch4:         geronimo11-1.1-explicit_versions_properties.patch
Patch5:         geronimo11-1.1-dependency-plugin-project_xml.patch
Patch6:         geronimo11-1.1-deployment-plugin-project_xml.patch
Patch7:         geronimo11-1.1-packaging-plugin-project_xml.patch

# patch to directory 1.0.0:
Patch8:         geronimo11-1.1-directory-DirectoryConfigurator.patch
Patch9:         geronimo11-1.1-directory-MutableServerStartupConfiguration.patch
Patch10:        geronimo11-1.1-directory-ServerStartupConfiguration.patch
Patch11:        geronimo11-1.1-directory-DirectoryGBean.patch
Patch12:        geronimo11-1.1-directory-project_xml.patch
Patch13:        geronimo11-1.1-directory-ServerContextFactory.patch
Patch14:        geronimo11-1.1-directory-RunningTest.patch

# patch to JPP repo
Patch15:        geronimo11-1.1-packaging-plugin-PackageBuilderShell.patch
Patch16:        geronimo11-1.1-packaging-plugin-plugin_properties.patch
Patch17:        geronimo11-1.1-configs-system-database-project_properties.patch
Patch18:        geronimo11-1.1-configs-actuvemq-project_properties.patch
Patch19:        geronimo11-1.1-configs-console-jetty-project_properties.patch
Patch20:        geronimo11-1.1-configs-console-tomcat-project_properties.patch
Patch21:        geronimo11-1.1-configs-daytrader-jetty-project_properties.patch
Patch22:        geronimo11-1.1-configs-daytrader-tomcat-project_properties.patch
Patch23:        geronimo11-1.1-configs-ldap-demo-jetty-project_properties.patch
Patch24:        geronimo11-1.1-configs-ldap-demo-tomcat-project_properties.patch
Patch25:        geronimo11-1.1-configs-remote-deploy-jetty-project_properties.patch
Patch26:        geronimo11-1.1-configs-remote-deploy-tomcat-project_properties.patch
Patch27:        geronimo11-1.1-configs-welcome-jetty-project_properties.patch
Patch28:        geronimo11-1.1-configs-welcome-tomcat-project_properties.patch
Patch29:        geronimo11-1.1-configs-daytrader-jetty-plan_xml.patch
Patch30:        geronimo11-1.1-configs-daytrader-tomcat-plan_xml.patch
Patch31:        geronimo11-1.1-configs-jsp-examples-tomcat-project_properties.patch
Patch32:        geronimo11-1.1-configs-jsp-examples-jetty-project_properties.patch
Patch33:        geronimo11-1.1-configs-servlets-examples-jetty-project_properties.patch
Patch34:        geronimo11-1.1-configs-servlets-examples-tomcat-project_properties.patch
Patch35:        geronimo11-1.1-configs-uddi-jetty-plan_xml.patch
Patch36:        geronimo11-1.1-configs-uddi-tomcat-project_properties.patch
Patch37:        geronimo11-1.1-configs-uddi-tomcat-plan_xml.patch
Patch38:        geronimo11-1.1-assembly-plugin-project_xml.patch
Patch39:        geronimo11-1.1-assembly-plugin-plugin_jelly.patch
Patch40:        geronimo11-etc-project_properties.patch
Patch41:        geronimo11-1.1-zzzzj2ee-installer-config_xml.patch
Patch42:        geronimo11-1.1-j2ee-tomcat-server-config_xml.patch
Patch43:        geronimo11-1.1-j2ee-jetty-server-config_xml.patch
Patch44:        geronimo11-1.1-minimal-jetty-server-config_xml.patch
Patch45:        geronimo11-1.1-minimal-tomcat-server-config_xml.patch
Patch46:        geronimo11-1.1-zzzzj2ee-installer-offline-deployer-list.patch
Patch47:        geronimo11-1.1-j2ee-tomcat-server-offline-deployer-list.patch
Patch48:        geronimo11-1.1-j2ee-jetty-server-offline-deployer-list.patch
Patch49:        geronimo11-1.1-minimal-tomcat-server-offline-deployer-list.patch
Patch50:        geronimo11-1.1-minimal-jetty-server-offline-deployer-list.patch

# patch scripts
Patch51:        geronimo11-1.1-scripts-deploy.patch
Patch52:        geronimo11-1.1-scripts-shutdown.patch
Patch53:        geronimo11-1.1-scripts-startup.patch



# temp patches
#Patch94:        geronimo11-1.1-temp-Configuration.patch
#Patch95:        geronimo11-1.1-temp-EARConfigBuilder.patch
#Patch96:        geronimo11-1.1-temp-Deployer.patch
#Patch97:        geronimo11-1.1-temp-PackageBuilder.patch
#Patch98:        geronimo11-1.1-temp-DefaultArtifactResolver.patch
#Patch99:        geronimo11-1.1-temp-SimpleConfigurationManager.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if ! %{gcj_support}
BuildArch:      noarch
%endif

# tools
BuildRequires:  maven >= 0:1.1
BuildRequires:  saxon
BuildRequires:  saxon-scripts
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  jline
BuildRequires:  junit

# bootstrap1 and later
BuildRequires:  bea-stax-api
BuildRequires:  cglib
BuildRequires:  concurrent
BuildRequires:  geronimo-j2ee-connector-1.5-api
BuildRequires:  geronimo-j2ee-deployment-1.1-api
BuildRequires:  geronimo-j2ee-management-1.0-api
BuildRequires:  geronimo-ejb-2.1-api
BuildRequires:  geronimo-jta-1.0.1B-api
BuildRequires:  geronimo-qname-1.1-api
BuildRequires:  howl-logger
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-jelly-tags-velocity
BuildRequires:  log4j
BuildRequires:  maven-model
BuildRequires:  mx4j
BuildRequires:  velocity
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
BuildRequires:  xml-commons-resolver
BuildRequires:  xmlbeans
BuildRequires:  xpp3
BuildRequires:  xstream
# VERIFIED bootstrap1
%if %{without_bootstrap1}
# bootstrap2 and later
BuildRequires:  activeio
BuildRequires:  geronimo-jacc-1.0-api
BuildRequires:  hsqldb
BuildRequires:  regexp
BuildRequires:  tranql
# VERIFIED bootstrap2
%if %{without_bootstrap2}
BuildRequires:  activecluster
BuildRequires:  activemq3-core
BuildRequires:  activemq3-gbean-g1_1
BuildRequires:  activemq3-ra
BuildRequires:  ant >= 0:1.6
BuildRequires:  antlr
BuildRequires:  apacheds-core
BuildRequires:  apacheds-core-shared
BuildRequires:  apacheds-kerberos-shared
BuildRequires:  apacheds-protocol-kerberos
BuildRequires:  apacheds-protocol-shared
BuildRequires:  apacheds-shared-asn1
BuildRequires:  apacheds-shared-ldap
BuildRequires:  apacheds-protocol-ldap
BuildRequires:  asm
BuildRequires:  asn1
BuildRequires:  axion
BuildRequires:  axis
BuildRequires:  backport-util-concurrent
BuildRequires:  daytrader
BuildRequires:  derby >= 0:10.1.1.0
BuildRequires:  dwr
BuildRequires:  ecj
BuildRequires:  geronimo-corba-2.3-apis
BuildRequires:  geronimo-j2ee-1.4-apis
BuildRequires:  geronimo-jaf-1.0.2-api
BuildRequires:  geronimo-javamail-1.3.1-api
BuildRequires:  geronimo-jaxr-1.0-api
BuildRequires:  geronimo-jaxrpc-1.1-api
BuildRequires:  geronimo-jms-1.1-api
BuildRequires:  geronimo-jsp-2.0-api
BuildRequires:  geronimo-saaj-1.1-api
BuildRequires:  geronimo-servlet-2.4-api
BuildRequires:  izpack
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-cli
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-discovery
BuildRequires:  jakarta-commons-el
BuildRequires:  jakarta-commons-fileupload
BuildRequires:  jakarta-commons-io
BuildRequires:  jakarta-commons-jelly
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-modeler
BuildRequires:  jakarta-commons-primitives
BuildRequires:  jakarta-oro
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  jdbm
BuildRequires:  jdom
BuildRequires:  jetty5
BuildRequires:  juddi
BuildRequires:  mina
BuildRequires:  oldcastor <= 0:0.9.6
BuildRequires:  portals-pluto
BuildRequires:  apache-portlet-1.0-api
BuildRequires:  slf4j
BuildRequires:  spring-all
BuildRequires:  tomcat5-common-lib
BuildRequires:  tomcat5-server-lib
BuildRequires:  tomcat5-jasper
BuildRequires:  tomcat5-webapps
BuildRequires:  tranql-connector
BuildRequires:  tranql-connector-derby
BuildRequires:  wadi-core
BuildRequires:  wadi-jetty5
BuildRequires:  wadi-tomcat55
BuildRequires:  ws-scout
BuildRequires:  wsdl4j
BuildRequires:  xmlbeans-maven-plugin
# VERIFIED full build
%if %{without_bootstrap3}
BuildRequires:  openejb2
BuildRequires:  openejb2-builders
BuildRequires:  xfire-all
%endif
%endif
%endif
%if %{gcj_support}
BuildRequires:    gnu-crypto
BuildRequires:    java-gcj-compat-devel
%endif


%description
The aim of the project is to produce a large and healthy 
community of J2EE developers tasked with the development of an 
open-source, certified J2EE server that:
* is licensed under the Apache License
* passes Sun's TCK for J2EE 1.4
* reuses the best ASF/BSD licensed code available today, with 
  new ASF code to complete the J2EE stack.

%package base
Summary:        Basic Libraries from %{name}
Group:          Internet/WWW/Servers
Requires: cglib
Requires: concurrent
Requires: geronimo-ejb-2.1-api
Requires: geronimo-j2ee-connector-1.5-api
Requires: geronimo-j2ee-management-1.0-api
Requires: geronimo-jta-1.0.1B-api
Requires: howl-logger
Requires: jakarta-commons-logging
Requires: log4j
Requires: mx4j
Requires: xml-commons-apis
Requires: xml-commons-resolver
Requires: xstream
%if %{without_bootstrap1}
Requires: activeio
Requires: geronimo-jacc-1.0-api
%endif
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description base
%{summary}.

%if %{without_bootstrap1} && %{without_bootstrap2}

%package server-base
Summary:        Server Base for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}
Requires: activeio
Requires: asm
Requires: bea-stax-api
Requires: cglib
Requires: concurrent
Requires: ecj
Requires: geronimo-ejb-2.1-api
Requires: geronimo-j2ee-connector-1.5-api
Requires: geronimo-j2ee-deployment-1.1-api
Requires: geronimo-j2ee-management-1.0-api
Requires: geronimo-jacc-1.0-api
Requires: geronimo-j2ee-management-1.0-api
Requires: geronimo-jaf-1.0.2-api
Requires: geronimo-javamail-1.3.1-api
Requires: geronimo-jaxr-1.0-api
Requires: geronimo-jaxrpc-1.1-api
Requires: geronimo-jms-1.1-api
Requires: geronimo-jsp-2.0-api
Requires: geronimo-jta-1.0.1B-api
Requires: geronimo-qname-1.1-api
Requires: geronimo-saaj-1.1-api
Requires: geronimo-servlet-2.4-api
Requires: howl-logger
Requires: jakarta-commons-cli
Requires: jakarta-commons-el
Requires: jakarta-commons-logging
Requires: log4j
Requires: mx4j
Requires: oldcastor <= 0:0.9.6
Requires: tomcat5-jasper
Requires: wsdl4j
Requires: xerces-j2
Requires: xml-commons-apis
Requires: xmlbeans
Requires: xpp3
Requires: xstream
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description server-base
%{summary}.

%package server-j2ee-base
Summary:        J2EE Server Base for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-base = %{epoch}:%{version}-%{release}
Requires: activecluster
Requires: activemq3-core
Requires: activemq3-gbean-g1_1
Requires: activemq3-ra
Requires: antlr
Requires: apache-portlet-1.0-api
Requires: axis
Requires: derby
Requires: geronimo-corba-2.3-apis
Requires: geronimo-j2ee-1.4-apis
Requires: jakarta-commons-beanutils
Requires: jakarta-commons-collections
Requires: jakarta-commons-digester
Requires: jakarta-commons-discovery
Requires: jakarta-commons-modeler
Requires: jdom
Requires: juddi
%if %{without_bootstrap3}
Requires: openejb2
Requires: openejb2-builders
%endif
Requires: portals-pluto
Requires: tranql
Requires: tranql-connector
Requires: tranql-connector-derby
Requires: ws-scout
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description server-j2ee-base
%{summary}.

%package server-jetty-base
Summary:        Base for Jetty Server setup in %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-base = %{epoch}:%{version}-%{release}
Requires: geronimo-jacc-1.0-api
Requires: jetty5
Requires: spring
Requires: wadi-core
Requires: wadi-jetty5
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description server-jetty-base
%{summary}.

%package server-tomcat-base
Summary:        Base for Tomcat Server setup in %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-base = %{epoch}:%{version}-%{release}
Requires: geronimo-jacc-1.0-api
Requires: tomcat5-common-lib
Requires: tomcat5-server-lib
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description server-tomcat-base
%{summary}.

%if %{without_bootstrap3}

%package server-j2ee-jetty
Summary:        J2EE Server with Jetty setup for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-jetty-base = %{epoch}:%{version}-%{release}
Requires: %{name}-config-remote-deploy-jetty = %{epoch}:%{version}-%{release}
Requires: %{name}-config-uddi-jetty = %{epoch}:%{version}-%{release}
Requires: %{name}-config-webconsole-jetty = %{epoch}:%{version}-%{release}
Requires: %{name}-config-welcome-jetty = %{epoch}:%{version}-%{release}

%description server-j2ee-jetty
%{summary}.

%package server-j2ee-tomcat
Summary:        J2EE Server with Tomcat setup for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-tomcat-base = %{epoch}:%{version}-%{release}
Requires: %{name}-config-remote-deploy-tomcat = %{epoch}:%{version}-%{release}
Requires: %{name}-config-uddi-tomcat = %{epoch}:%{version}-%{release}
Requires: %{name}-config-webconsole-tomcat = %{epoch}:%{version}-%{release}
Requires: %{name}-config-welcome-tomcat = %{epoch}:%{version}-%{release}

%description server-j2ee-tomcat
%{summary}.

%package server-minimal-base
Summary:        Minimal Server components for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-base = %{epoch}:%{version}-%{release}
Requires: %{name}-config-unavailable-client-deployer = %{epoch}:%{version}-%{release}
Requires: %{name}-config-unavailable-ejb-deployer = %{epoch}:%{version}-%{release}
Requires: %{name}-config-unavailable-webservices-deployer = %{epoch}:%{version}-%{release}

%description server-minimal-base
%{summary}.

%package server-minimal-jetty
Summary:        Minimal Server with Jetty setup for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-minimal-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-jetty-base = %{epoch}:%{version}-%{release}


%description server-minimal-jetty
%{summary}.

%package server-minimal-tomcat
Summary:        Minimal Server with Tomcat setup for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-minimal-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-tomcat-base = %{epoch}:%{version}-%{release}

%description server-minimal-tomcat
%{summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%endif

%package console-web
Summary:        Console Web Module from %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}
Requires: geronimo-jsp-2.0-api
Requires: mx4j
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description console-web
%{summary}.

%package installer-processing
Summary:        Installer Processing Module from %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}
Requires: xerces-j2
Requires: xml-commons-apis
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description installer-processing
%{summary}.

%package installer-support
Summary:        Installer Support Module from %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}
Requires: izpack
Requires: regexp
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description installer-support
%{summary}.

%package assembly-plugin
Summary:        Assembly Plugin from %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}
Requires: maven
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description assembly-plugin
%{summary}.

%package dependency-plugin
Summary:        Dependency Plugin from %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-base = %{epoch}:%{version}-%{release}
Requires: maven
Requires: xmlbeans
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description dependency-plugin
%{summary}.

%package deployment-plugin
Summary:        Deployment Plugin from %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}
Requires: geronimo-j2ee-deployment-1.1-api
Requires: jakarta-commons-jelly
Requires: maven
Requires: mx4j
Requires: velocity
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description deployment-plugin
%{summary}.

%package izpack-plugin
Summary:        IzPack Plugin from %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}
Requires: %{name}-installer-support = %{epoch}:%{version}-%{release}
Requires: maven
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description izpack-plugin
%{summary}.

%package packaging-plugin
Summary:        Packaging Plugin from %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}
Requires: geronimo-qname-1.1-api
Requires: jakarta-commons-jelly
Requires: jakarta-commons-logging
Requires: maven
Requires: mx4j
Requires: velocity
Requires: xmlbeans
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description packaging-plugin
%{summary}.

%package daytrader-derby
Summary:        Daytrader (Derby) App from %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}
Requires: derby
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description daytrader-derby
%{summary}.

%package directory
Summary:        Apacheds Embedding Module from %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}
Requires: apacheds-core
Requires: apacheds-kerberos-shared
Requires: apacheds-protocol-kerberos
Requires: apacheds-protocol-ldap
Requires: apacheds-protocol-shared
Requires: apacheds-shared-asn1
Requires: apacheds-shared-asn1-codec
Requires: apacheds-shared-ldap
Requires: asn1
Requires: backport-util-concurrent
Requires: geronimo-qname-1.1-api
Requires: jakarta-commons-collections
Requires: jakarta-commons-io
Requires: jakarta-commons-lang
Requires: jakarta-commons-logging
Requires: jakarta-commons-primitives
Requires: jakarta-oro
Requires: jdbm
Requires: mina
Requires: mx4j
Requires: regexp
Requires: slf4j
Requires: xmlbeans
%if %{gcj_support}
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description directory
%{summary}.

%package config-daytrader-derby-jetty
Summary:        Day Trader (Jetty) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-jetty-base = %{epoch}:%{version}-%{release}
Requires: %{name}-daytrader-derby = %{epoch}:%{version}-%{release}
Requires: activemq3-core
Requires: activemq3-ra
Requires: tranql-connector
Requires: tranql-connector-derby

%description    config-daytrader-derby-jetty
%{summary}.

%package config-daytrader-derby-jetty-streamer
Summary:        Day Trader (Jetty Streamer) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-tomcat-base = %{epoch}:%{version}-%{release}
Requires: %{name}-daytrader-derby = %{epoch}:%{version}-%{release}
Requires: activemq3-core
Requires: activemq3-ra

%description    config-daytrader-derby-jetty-streamer
%{summary}.

%package config-daytrader-derby-tomcat
Summary:        Day Trader (Tomcat) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-tomcat-base = %{epoch}:%{version}-%{release}
Requires: %{name}-daytrader-derby = %{epoch}:%{version}-%{release}
Requires: activemq3-core
Requires: activemq3-ra
Requires: tranql-connector
Requires: tranql-connector-derby

%description    config-daytrader-derby-tomcat
%{summary}.

%package config-daytrader-derby-tomcat-streamer
Summary:        Day Trader (Tomcat Streamer) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-tomcat-base = %{epoch}:%{version}-%{release}
Requires: %{name}-daytrader-derby = %{epoch}:%{version}-%{release}
Requires: activemq3-core
Requires: activemq3-ra

%description    config-daytrader-derby-tomcat-streamer
%{summary}.

%package config-directory
Summary:        Directory Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-directory = %{epoch}:%{version}-%{release}

%description    config-directory
%{summary}.

%package config-jsp-examples-jetty
Summary:        JSP Examples (Jetty) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-jetty-base = %{epoch}:%{version}-%{release}
Requires: jakarta-commons-collections

%description    config-jsp-examples-jetty
%{summary}.

%package config-jsp-examples-tomcat
Summary:        JSP Examples (Tomcat) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-tomcat-base = %{epoch}:%{version}-%{release}

%description    config-jsp-examples-tomcat
%{summary}.

%package config-ldap-demo-jetty
Summary:        LDAP Demo (Jetty) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-jetty-base = %{epoch}:%{version}-%{release}
Requires: %{name}-config-ldap-realm = %{epoch}:%{version}-%{release}

%description    config-ldap-demo-jetty
%{summary}.

%package config-ldap-demo-tomcat
Summary:        LDAP Demo (Tomcat) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-tomcat-base = %{epoch}:%{version}-%{release}

%description    config-ldap-demo-tomcat
%{summary}.

%package config-ldap-realm
Summary:        LDAP Realm Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-base = %{epoch}:%{version}-%{release}
Requires: %{name}-config-directory = %{epoch}:%{version}-%{release}

%description    config-ldap-realm
%{summary}.

%package config-remote-deploy-jetty
Summary:        Remote Deploy (Jetty) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-jetty-base = %{epoch}:%{version}-%{release}
Requires: xmlbeans

%description    config-remote-deploy-jetty
%{summary}.

%package config-remote-deploy-tomcat
Summary:        Remote Deploy (Tomcat) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-tomcat-base = %{epoch}:%{version}-%{release}
Requires: xmlbeans

%description    config-remote-deploy-tomcat
%{summary}.

%package config-servlets-examples-jetty
Summary:        Servlets Examples (Jetty) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-jetty-base = %{epoch}:%{version}-%{release}

%description    config-servlets-examples-jetty
%{summary}.

%package config-servlets-examples-tomcat
Summary:        Servlets Examples (Tomcat) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-tomcat-base = %{epoch}:%{version}-%{release}

%description    config-servlets-examples-tomcat
%{summary}.

%package config-uddi-jetty
Summary:        UDDI (Jetty) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-jetty-base = %{epoch}:%{version}-%{release}
Requires: axis
Requires: juddi
Requires: ws-scout

%description    config-uddi-jetty
%{summary}.

%package config-uddi-tomcat
Summary:        UDDI (Tomcat) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-tomcat-base = %{epoch}:%{version}-%{release}
Requires: axis
Requires: derby
Requires: juddi
Requires: ws-scout

%description    config-uddi-tomcat
%{summary}.

%package config-webconsole-jetty
Summary:        Webconsole (Jetty) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-jetty-base = %{epoch}:%{version}-%{release}
Requires: activemq3-core
Requires: activemq3-gbean-g1_1
Requires: bea-stax-api
Requires: jdom
Requires: apache-portlet-1.0-api
Requires: portals-pluto
Requires: xmlbeans

%description    config-webconsole-jetty
%{summary}.

%package config-webconsole-tomcat
Summary:        Webconsole (Tomcat) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-server-j2ee-base = %{epoch}:%{version}-%{release}
Requires: %{name}-server-tomcat-base = %{epoch}:%{version}-%{release}
Requires: activemq3-core
Requires: activemq3-gbean-g1_1
Requires: bea-stax-api
Requires: jdom
Requires: apache-portlet-1.0-api
Requires: portals-pluto
Requires: xmlbeans

%description    config-webconsole-tomcat
%{summary}.

%package config-welcome-jetty
Summary:        Welcome (Jetty) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}

%description    config-welcome-jetty
%{summary}.

%package config-welcome-tomcat
Summary:        Welcome (Tomcat) Config for %{name}
Group:          Internet/WWW/Servers
Requires: %{name}-base = %{epoch}:%{version}-%{release}

%description    config-welcome-tomcat
%{summary}.


%endif

%prep
%setup -q -n geronimo_src-%{version}/
touch modules/*/LICENSE.txt
%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav

# patch to directory 1.0.0
%patch8 -b .sav
%patch9 -b .sav
%patch10 -b .sav
%patch11 -b .sav
%patch12 -b .sav
%patch13 -b .sav
%patch14 -b .sav

# patch to JPP repo
%patch15 -b .sav
%patch16 -b .sav
%patch17 -b .sav
%patch18 -b .sav
%patch19 -b .sav
%patch20 -b .sav
%patch21 -b .sav
%patch22 -b .sav
%patch23 -b .sav
%patch24 -b .sav
%patch25 -b .sav
%patch26 -b .sav
%patch27 -b .sav
%patch28 -b .sav
%patch29 -b .sav
%patch30 -b .sav
%patch31 -b .sav
%patch32 -b .sav
%patch33 -b .sav
%patch34 -b .sav
%patch35 -b .sav
%patch36 -b .sav
%patch37 -b .sav
%patch38 -b .sav
%patch39 -b .sav
%patch40 -b .sav
%patch41 -b .sav
%patch42 -b .sav
%patch43 -b .sav
%patch44 -b .sav
%patch45 -b .sav
%patch46 -b .sav
%patch47 -b .sav
%patch48 -b .sav
%patch49 -b .sav
%patch50 -b .sav

%patch51 -b .sav
%patch52 -b .sav
%patch53 -b .sav

#%patch94 -b .sav
#%patch95 -b .sav
#%patch96 -b .sav
#%patch97 -b .sav
#%patch98 -b .sav
#%patch99 -b .sav


#Testcase: testExplicitMapping(org.apache.geronimo.jetty.SecurityTest):
#Should throw an IOException for HTTP 403 response
echo maven.test.failure.ignore=true >> modules/jetty/project.properties
#Testcase: testExplicitMapping(org.apache.geronimo.tomcat.JACCSecurityTest):
#Should throw an IOException for HTTP 403 response
echo maven.test.failure.ignore=true >> modules/tomcat/project.properties
#
# diag pending
echo maven.test.failure.ignore=true >> modules/timer/project.properties
# temp
#echo maven.test.failure.ignore=true >> modules/kernel/project.properties

# create a standard maven1 repository

mkdir tomcat5-jsp-examples
cp -r /var/lib/tomcat5/webapps/jsp-examples/* tomcat5-jsp-examples
mv tomcat5-jsp-examples/WEB-INF/lib/[jakarta-taglibs-standard].jar tomcat5-jsp-examples/WEB-INF/lib/jakarta-taglibs-standard.jar
mv tomcat5-jsp-examples/WEB-INF/lib/[jakarta-taglibs-core].jar tomcat5-jsp-examples/WEB-INF/lib/jakarta-taglibs-core.jar
mkdir -p .maven/repository/JPP/wars
WAR=$(pwd)/.maven/repository/JPP/wars/geronimo-jsp-examples-tomcat-0.war
pushd tomcat5-jsp-examples
jar cf $WAR *
popd
rm -rf tomcat5-jsp-examples

mkdir tomcat5-servlet-examples
cp -r /var/lib/tomcat5/webapps/servlets-examples/* tomcat5-servlet-examples
mkdir -p .maven/repository/JPP/wars
WAR=$(pwd)/.maven/repository/JPP/wars/geronimo-servlet-examples-tomcat-0.war
pushd tomcat5-servlet-examples
jar cf $WAR *
popd
rm -rf tomcat5-servlet-examples

mkdir -p .maven/repository/JPP/jars
mkdir -p .maven/repository/JPP/plugins

# bootstrap1 and later
ln -sf $(build-classpath velocity) .maven/repository/JPP/jars/velocity-0.jar
ln -sf $(build-classpath velocity) .maven/repository/JPP/jars/velocity-dep-0.jar
ln -sf $(build-classpath jelly-tags/commons-jelly-tags-velocity) .maven/repository/JPP/jars/commons-jelly-tags-velocity-0.jar
ln -sf $(build-classpath maven-model) .maven/repository/JPP/jars/maven-model-0.jar
ln -sf $(build-classpath xerces-j2) .maven/repository/JPP/jars/xerces-0.jar
ln -sf $(build-classpath xerces-j2) .maven/repository/JPP/jars/xercesImpl-0.jar
ln -sf $(build-classpath xml-commons-apis) .maven/repository/JPP/jars/xml-apis-0.jar
ln -sf $(build-classpath xml-commons-apis) .maven/repository/JPP/jars/xmlParserAPIs-0.jar
ln -sf $(build-classpath maven) .maven/repository/JPP/jars/maven-0.jar
ln -sf $(build-classpath jline) .maven/repository/JPP/jars/jline-0.jar
ln -sf $(build-classpath junit) .maven/repository/JPP/jars/junit-0.jar

ln -sf $(build-classpath bea-stax-api) .maven/repository/JPP/jars/stax-api-0.jar
ln -sf $(build-classpath cglib-nodep) .maven/repository/JPP/jars/cglib-nodep-0.jar
ln -sf $(build-classpath concurrent) .maven/repository/JPP/jars/concurrent-0.jar
ln -sf $(build-classpath geronimo-j2ee-connector-1.5-api) .maven/repository/JPP/jars/geronimo-j2ee-connector_1.5_spec-0.jar
ln -sf $(build-classpath geronimo-j2ee-deployment-1.1-api) .maven/repository/JPP/jars/geronimo-j2ee-deployment_1.1_spec-0.jar
ln -sf $(build-classpath geronimo-j2ee-management-1.0-api) .maven/repository/JPP/jars/geronimo-j2ee-management_1.0_spec-0.jar
ln -sf $(build-classpath geronimo-ejb-2.1-api) .maven/repository/JPP/jars/geronimo-ejb_2.1_spec-0.jar
ln -sf $(build-classpath geronimo-jta-1.0.1B-api) .maven/repository/JPP/jars/geronimo-jta_1.0.1B_spec-0.jar
ln -sf $(build-classpath geronimo-qname-1.1-api) .maven/repository/JPP/jars/geronimo-qname_1.1_spec-0.jar
ln -sf $(build-classpath howl-logger) .maven/repository/JPP/jars/howl-logger-0.jar
ln -sf $(build-classpath commons-logging) .maven/repository/JPP/jars/commons-logging-0.jar
ln -sf $(build-classpath log4j) .maven/repository/JPP/jars/log4j-0.jar
ln -sf $(build-classpath mx4j/mx4j) .maven/repository/JPP/jars/mx4j-0.jar
ln -sf $(build-classpath mx4j/mx4j-remote) .maven/repository/JPP/jars/mx4j-remote-0.jar
ln -sf $(build-classpath xml-commons-resolver) .maven/repository/JPP/jars/xml-resolver-0.jar
ln -sf $(build-classpath xmlbeans/xbean) .maven/repository/JPP/jars/xbean-0.jar
ln -sf $(build-classpath xpp3) .maven/repository/JPP/jars/xpp3-0.jar
ln -sf $(build-classpath xstream) .maven/repository/JPP/jars/xstream-0.jar

%if ! %{with_bootstrap1}
# bootstrap2 and later
ln -sf $(build-classpath activeio) .maven/repository/JPP/jars/activeio-0.jar
ln -sf $(build-classpath geronimo-jacc-1.0-api) .maven/repository/JPP/jars/geronimo-j2ee-jacc_1.0_spec-0.jar
ln -sf $(build-classpath hsqldb) .maven/repository/JPP/jars/hsqldb-0.jar
ln -sf $(build-classpath regexp) .maven/repository/JPP/jars/regexp-0.jar
ln -sf $(build-classpath tranql) .maven/repository/JPP/jars/tranql-0.jar

%if ! %{with_bootstrap1} && ! %{with_bootstrap2}
# full build
ln -sf $(build-classpath activecluster) .maven/repository/JPP/jars/activecluster-0.jar
ln -sf $(build-classpath activemq3/core) .maven/repository/JPP/jars/activemq-core-0.jar
ln -sf $(build-classpath activemq3/gbean-g1_1) .maven/repository/JPP/jars/activemq-gbean-g1_1-0.jar
ln -sf $(build-classpath activemq3/gbean-management-g1_1) .maven/repository/JPP/jars/activemq-gbean-management-g1_1-0.jar
ln -sf $(build-classpath activemq3/ra) .maven/repository/JPP/jars/activemq-ra-0.jar
ln -sf $(build-classpath ant) .maven/repository/JPP/jars/ant-0.jar
ln -sf $(build-classpath antlr) .maven/repository/JPP/jars/antlr-0.jar
ln -sf $(build-classpath apacheds/core) .maven/repository/JPP/jars/apacheds-core-0.jar
ln -sf $(build-classpath apacheds/core-shared) .maven/repository/JPP/jars/apacheds-shared-0.jar
ln -sf $(build-classpath apacheds/kerberos-shared) .maven/repository/JPP/jars/kerberos-common-0.jar
ln -sf $(build-classpath apacheds-shared-ldap) .maven/repository/JPP/jars/ldap-common-0.jar
ln -sf $(build-classpath apacheds-shared-asn1) .maven/repository/JPP/jars/shared-asn1-common-0.jar
ln -sf $(build-classpath apacheds-shared-asn1-codec) .maven/repository/JPP/jars/shared-asn1-codec-0.jar

ln -sf $(build-classpath apacheds/protocol-kerberos) .maven/repository/JPP/jars/kerberos-protocol-0.jar
ln -sf $(build-classpath apacheds/protocol-ldap) .maven/repository/JPP/jars/ldap-protocol-0.jar
ln -sf $(build-classpath apacheds/protocol-shared) .maven/repository/JPP/jars/shared-protocol-0.jar
ln -sf $(build-classpath asm/asm) .maven/repository/JPP/jars/asm-0.jar
ln -sf $(build-classpath asn1/asn1-ber) .maven/repository/JPP/jars/asn1-ber-0.jar
ln -sf $(build-classpath asn1/asn1-codec) .maven/repository/JPP/jars/asn1-codec-0.jar
ln -sf $(build-classpath asn1/asn1-der) .maven/repository/JPP/jars/asn1-der-0.jar
ln -sf $(build-classpath axion) .maven/repository/JPP/jars/axion-0.jar
ln -sf $(build-classpath axis/axis) .maven/repository/JPP/jars/axis-axis-0.jar
ln -sf $(build-classpath backport-util-concurrent) .maven/repository/JPP/jars/backport-util-concurrent-0.jar

mkdir -p .maven/repository/JPP/ears
ln -sf %{_datadir}/daytrader/daytrader-ear.ear .maven/repository/JPP/ears/daytrader-ear-1.1.ear
ln -sf %{_datadir}/daytrader/daytrader-ear.ear .maven/repository/JPP/ears/daytrader-ear-0.ear

ln -sf $(build-classpath derby/derby) .maven/repository/JPP/jars/derby-0.jar
ln -sf $(build-classpath derby/derbyclient) .maven/repository/JPP/jars/derbyclient-0.jar
ln -sf $(build-classpath derby/derbynet) .maven/repository/JPP/jars/derbynet-0.jar
ln -sf $(build-classpath derby/derbytools) .maven/repository/JPP/jars/derbytools-0.jar
ln -sf $(build-classpath dwr) .maven/repository/JPP/jars/dwr-0.jar
ln -sf $(build-classpath ecj) .maven/repository/JPP/jars/jasper-compiler-jdt-0.jar
ln -sf $(build-classpath geronimo-corba-2.3-apis) .maven/repository/JPP/jars/geronimo-spec-corba-0.jar
ln -sf $(build-classpath geronimo-j2ee-1.4-apis) .maven/repository/JPP/jars/geronimo-j2ee_1.4_spec-0.jar
ln -sf $(build-classpath geronimo-jaf-1.0.2-api) .maven/repository/JPP/jars/geronimo-activation_1.0.2_spec-0.jar
ln -sf $(build-classpath geronimo-javamail-1.3.1-api) .maven/repository/JPP/jars/geronimo-javamail_1.3.1_spec-0.jar
ln -sf $(build-classpath geronimo-jaxr-1.0-api) .maven/repository/JPP/jars/geronimo-jaxr_1.0_spec-0.jar
ln -sf $(build-classpath geronimo-jaxrpc-1.1-api) .maven/repository/JPP/jars/geronimo-jaxrpc_1.1_spec-0.jar
ln -sf $(build-classpath geronimo-jms-1.1-api) .maven/repository/JPP/jars/geronimo-jms_1.1_spec-0.jar
ln -sf $(build-classpath geronimo-jsp-2.0-api) .maven/repository/JPP/jars/geronimo-jsp_2.0_spec-0.jar
ln -sf $(build-classpath geronimo-saaj-1.1-api) .maven/repository/JPP/jars/geronimo-saaj_1.1_spec-0.jar
ln -sf $(build-classpath geronimo-servlet-2.4-api) .maven/repository/JPP/jars/geronimo-servlet_2.4_spec-0.jar
ln -sf $(build-classpath izpack/installer) .maven/repository/JPP/jars/installer-0.jar
ln -sf $(build-classpath izpack/standalone-compiler) .maven/repository/JPP/jars/standalone-compiler-3.8.0.jar
ln -sf $(build-classpath commons-beanutils) .maven/repository/JPP/jars/commons-beanutils-0.jar
ln -sf $(build-classpath commons-cli) .maven/repository/JPP/jars/commons-cli-0.jar
ln -sf $(build-classpath commons-collections) .maven/repository/JPP/jars/commons-collections-0.jar
ln -sf $(build-classpath commons-digester) .maven/repository/JPP/jars/commons-digester-0.jar
ln -sf $(build-classpath commons-discovery) .maven/repository/JPP/jars/commons-discovery-0.jar
ln -sf $(build-classpath commons-el) .maven/repository/JPP/jars/commons-el-0.jar
ln -sf $(build-classpath commons-fileupload) .maven/repository/JPP/jars/commons-fileupload-0.jar
ln -sf $(build-classpath commons-io) .maven/repository/JPP/jars/commons-io-0.jar
ln -sf $(build-classpath commons-jelly) .maven/repository/JPP/jars/commons-jelly-0.jar
ln -sf $(build-classpath commons-lang) .maven/repository/JPP/jars/commons-lang-0.jar
ln -sf $(build-classpath commons-modeler) .maven/repository/JPP/jars/commons-modeler-0.jar
ln -sf $(build-classpath commons-primitives) .maven/repository/JPP/jars/commons-primitives-0.jar
ln -sf $(build-classpath oro) .maven/repository/JPP/jars/oro-0.jar
ln -sf $(build-classpath taglibs-core) .maven/repository/JPP/jars/jstl-0.jar
ln -sf $(build-classpath taglibs-standard) .maven/repository/JPP/jars/standard-0.jar
ln -sf $(build-classpath jdbm) .maven/repository/JPP/jars/jdbm-0.jar
ln -sf $(build-classpath jdom) .maven/repository/JPP/jars/jdom-0.jar
ln -sf $(build-classpath jetty5/jetty5) .maven/repository/JPP/jars/org.mortbay.jetty-0.jar
ln -sf $(build-classpath juddi) .maven/repository/JPP/jars/juddi-0.jar
ln -sf $(build-classpath mina/core) .maven/repository/JPP/jars/mina-0.jar
ln -sf $(build-classpath oldcastor) .maven/repository/JPP/jars/castor-0.jar
ln -sf $(build-classpath openejb2/builder) .maven/repository/JPP/jars/openejb-builder-0.jar
ln -sf $(build-classpath openejb2/core) .maven/repository/JPP/jars/openejb-core-0.jar
ln -sf $(build-classpath openejb2/pkgen-builder) .maven/repository/JPP/jars/openejb-pkgen-builder-0.jar
ln -sf $(build-classpath portals-pluto/pluto) .maven/repository/JPP/jars/pluto-0.jar
ln -sf $(build-classpath portals-pluto/pluto-descriptors) .maven/repository/JPP/jars/pluto-descriptors-0.jar
ln -sf $(build-classpath portals-pluto/pluto-portal) .maven/repository/JPP/jars/pluto-portal-0.jar
ln -sf $(build-classpath portlet-1.0-api) .maven/repository/JPP/jars/portlet-api-0.jar
ln -sf $(build-classpath slf4j/simple) .maven/repository/JPP/jars/slf4j-simple-0.jar
ln -sf $(build-classpath spring) .maven/repository/JPP/jars/spring-0.jar
ln -sf $(build-classpath tomcat5/catalina) .maven/repository/JPP/jars/catalina-0.jar
ln -sf $(build-classpath tomcat5/catalina-cluster) .maven/repository/JPP/jars/catalina-cluster-0.jar
ln -sf $(build-classpath tomcat5/catalina-optional) .maven/repository/JPP/jars/catalina-optional-0.jar
ln -sf $(build-classpath tomcat5/naming-resources) .maven/repository/JPP/jars/naming-resources-0.jar
ln -sf $(build-classpath tomcat5/servlets-default) .maven/repository/JPP/jars/servlets-default-0.jar
ln -sf $(build-classpath tomcat5/servlets-invoker) .maven/repository/JPP/jars/servlets-invoker-0.jar
ln -sf $(build-classpath tomcat5/tomcat-ajp) .maven/repository/JPP/jars/tomcat-ajp-0.jar
ln -sf $(build-classpath tomcat5/tomcat-coyote) .maven/repository/JPP/jars/tomcat-coyote-0.jar
ln -sf $(build-classpath tomcat5/tomcat-http) .maven/repository/JPP/jars/tomcat-http-0.jar
ln -sf $(build-classpath tomcat5/tomcat-util) .maven/repository/JPP/jars/tomcat-util-0.jar
ln -sf $(build-classpath jasper5-compiler) .maven/repository/JPP/jars/jasper-compiler-0.jar
ln -sf $(build-classpath jasper5-runtime) .maven/repository/JPP/jars/jasper-runtime-0.jar
mkdir -p .maven/repository/JPP/rars
ln -sf %{_datadir}/tranql-connector/tranql-connector.rar .maven/repository/JPP/rars/tranql-connector-0.rar
ln -sf %{_datadir}/tranql-connector-derby/tranql-connector-derby-client-local.rar .maven/repository/JPP/rars/tranql-connector-derby-client-local-0.rar
ln -sf %{_datadir}/tranql-connector-derby/tranql-connector-derby-client-xa.rar .maven/repository/JPP/rars/tranql-connector-derby-client-xa-0.rar
ln -sf %{_datadir}/tranql-connector-derby/tranql-connector-derby-embed-local.rar .maven/repository/JPP/rars/tranql-connector-derby-embed-local-0.rar
ln -sf %{_datadir}/tranql-connector-derby/tranql-connector-derby-embed-xa.rar .maven/repository/JPP/rars/tranql-connector-derby-embed-xa-0.rar
ln -sf $(build-classpath wadi/core) .maven/repository/JPP/jars/wadi-core-0.jar
ln -sf $(build-classpath wadi/jetty5) .maven/repository/JPP/jars/wadi-jetty5-0.jar
ln -sf $(build-classpath wadi/tomcat55) .maven/repository/JPP/jars/wadi-tomcat55-0.jar
ln -sf $(build-classpath ws-scout/ws-scout) .maven/repository/JPP/jars/scout-0.jar
ln -sf $(build-classpath ws-scout/jaxr-api) .maven/repository/JPP/jars/jaxr-api-0.jar
ln -sf $(build-classpath wsdl4j) .maven/repository/JPP/jars/wsdl4j-0.jar
ln -sf /usr/share/maven/repository/JPP/plugins/maven-xmlbeans-plugin.jar .maven/repository/JPP/plugins/xmlbeans-maven-plugin-0.jar
ln -sf $(build-classpath xfire/all) .maven/repository/JPP/jars/xfire-0.jar
ln -sf $(build-classpath xfire/all) .maven/repository/JPP/jars/xfire-java-0.jar
%endif
%endif

%build
export DEPCAT=$(pwd)/geronimo11-1.1-depcat.bootstrap1.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in modules/common/project.xml modules/core/project.xml modules/deployment/project.xml modules/kernel/project.xml modules/j2ee/project.xml modules/management/project.xml modules/naming/project.xml modules/system/project.xml modules/transaction/project.xml modules/util/project.xml; do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > geronimo11-1.1-depmap.bootstrap1.xml
export DEPCAT=$(pwd)/geronimo11-1.1-depcat.bootstrap2.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in modules/common/project.xml modules/core/project.xml modules/deployment/project.xml modules/kernel/project.xml modules/j2ee/project.xml modules/management/project.xml modules/naming/project.xml modules/system/project.xml modules/transaction/project.xml modules/util/project.xml modules/security/project.xml modules/connector/project.xml; do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > geronimo11-1.1-depmap.bootstrap2.xml
if [ ! -f %{SOURCE4} ]; then
export DEPCAT=$(pwd)/geronimo11-1.1-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > geronimo11-1.1-depmap.new.xml
fi
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

export MAVEN_HOME_LOCAL=$(pwd)/.maven

%if %{without_bootstrap1} && %{without_bootstrap2} && %{without_bootstrap3}
maven -e \
        -Dmaven.repo.remote=file:/usr/share/maven/repository \
        -Dmaven.home.local=$MAVEN_HOME_LOCAL \
        -Dmaven.junit.fork=true \
        new
maven \
        -Dmaven.repo.remote=file:/usr/share/maven/repository \
        -Dmaven.home.local=$MAVEN_HOME_LOCAL \
        -Dmaven.junit.fork=true \
        -Dmaven.multiproject.includes=modules/**/project.xml,plugins/**/project.xml,applications/**/project.xml \
        -Dgoal=javadoc:generate \
        multiproject:goal
%else

maven \
        -Dmaven.repo.remote=file:/usr/share/maven/repository \
        -Dmaven.home.local=$MAVEN_HOME_LOCAL \
        -Dmaven.junit.fork=true \
%if %{with_bootstrap1}
        -Dmaven.multiproject.includes=modules/common/project.xml,modules/core/project.xml,modules/deployment/project.xml,modules/kernel/project.xml,modules/j2ee/project.xml,modules/management/project.xml,modules/naming/project.xml,modules/system/project.xml,modules/transaction/project.xml,modules/util/project.xml \
%else
%if %{with_bootstrap2}
        -Dmaven.multiproject.includes=modules/common/project.xml,modules/core/project.xml,modules/deployment/project.xml,modules/kernel/project.xml,modules/j2ee/project.xml,modules/management/project.xml,modules/naming/project.xml,modules/system/project.xml,modules/transaction/project.xml,modules/util/project.xml,modules/security/project.xml,modules/connector/project.xml \
%else
        -Dmaven.multiproject.includes=modules/**/project.xml,plugins/**/project.xml,applications/**/project.xml \
%endif
%endif
        -Dgoal=default,javadoc:generate,xdoc:transform \
        multiproject:goal
%endif

%install
rm -rf $RPM_BUILD_ROOT

install -dm 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -dm 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 0644 LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 0644 README.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%if %{without_bootstrap1} && %{without_bootstrap2} && %{without_bootstrap3}

# system
install -Dm 0644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install -Dm 0755 %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
install -Dm 0644 %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}

# home
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/endorsed
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/ext
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/schema

# servers
install -dm 0755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}
install -dm 0755 $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
for s in j2ee-jetty j2ee-tomcat minimal-jetty minimal-tomcat; do
  install -dm 0755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}/$s
  install -dm 0755 $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}/$s
  ln -sf %{_localstatedir}/log/%{name}/$s \
                $RPM_BUILD_ROOT%{_localstatedir}/%{name}/$s/log
  install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/$s
  ln -sf %{_localstatedir}/%{name}/$s \
                $RPM_BUILD_ROOT%{_datadir}/%{name}/$s/var
  rm -f assemblies/$s-server/target/geronimo-1.1/var/config/*.sav
  cp -rp assemblies/$s-server/target/geronimo-1.1/var/config \
                $RPM_BUILD_ROOT%{_localstatedir}/%{name}/$s/
  cp -rp assemblies/$s-server/target/geronimo-1.1/var/log/* \
                $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}/$s/
  cp -rp assemblies/$s-server/target/geronimo-1.1/var/security \
                $RPM_BUILD_ROOT%{_localstatedir}/%{name}/$s/
  cp -rp assemblies/$s-server/target/geronimo-1.1/var/shared \
                $RPM_BUILD_ROOT%{_localstatedir}/%{name}/$s/
  install -dm 0755 $RPM_BUILD_ROOT%{_localstatedir}/cache/%{name}/$s
  cp -rp assemblies/$s-server/target/geronimo-1.1/var/temp \
                $RPM_BUILD_ROOT%{_localstatedir}/cache/%{name}/$s/
  ln -sf %{_localstatedir}/cache/%{name}/$s \
                $RPM_BUILD_ROOT%{_localstatedir}/%{name}/$s/temp
done

cp -p assemblies/j2ee-jetty-server/target/geronimo-1.1/bin/*.sh $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
cp -p assemblies/j2ee-jetty-server/target/geronimo-1.1/bin/*.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -sf $(build-classpath cglib-nodep) cglib-nodep-0.jar
ln -sf $(build-classpath commons-cli) commons-cli-0.jar
ln -sf $(build-classpath commons-logging) commons-logging-0.jar
ln -sf $(build-classpath concurrent) concurrent-0.jar
ln -sf %{_javadir}/%{name}/common.jar geronimo-common-1.1.jar
ln -sf %{_javadir}/%{name}/deploy-jsr88.jar geronimo-deploy-jsr88-1.1.jar
ln -sf %{_javadir}/%{name}/deployment.jar geronimo-deployment-1.1.jar
ln -sf %{_javadir}/%{name}/deploy-tool.jar geronimo-deploy-tool-1.1.jar
ln -sf $(build-classpath geronimo-j2ee-deployment-1.1-api) geronimo-j2ee-deployment_1.1_spec-0.jar
ln -sf %{_javadir}/%{name}/kernel.jar geronimo-kernel-1.1.jar
ln -sf $(build-classpath geronimo-qname-1.1-api) geronimo-qname_1.1_spec-0.jar
ln -sf %{_javadir}/%{name}/system.jar geronimo-system-1.1.jar
ln -sf %{_javadir}/%{name}/util.jar geronimo-util-1.1.jar
ln -sf $(build-classpath log4j) log4j-0.jar
ln -sf $(build-classpath mx4j/mx4j) mx4j-0.jar
ln -sf $(build-classpath mx4j/mx4j-remote) mx4j-remote-0.jar
ln -sf $(build-classpath xpp3) xpp3-0.jar
ln -sf $(build-classpath xstream) xstream-0.jar
pushd endorsed
ln -sf $(build-classpath xerces-j2) xercesImpl-0.jar
ln -sf $(build-classpath xml-commons-apis) xmlParserAPIs-0.jar
popd
popd
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP

mkdir -p activecluster/0
ln -sf $(build-classpath activecluster) activecluster/0/activecluster-0.jar

mkdir -p activeio/0
ln -sf $(build-classpath activeio) activeio/0/activeio-0.jar

mkdir -p activemq-core/0
ln -sf $(build-classpath activemq3/core) activemq-core/0/activemq-core-0.jar

mkdir -p activemq-gbean-g1_1/0
ln -sf $(build-classpath activemq3/gbean-g1_1) activemq-gbean-g1_1/0/activemq-gbean-g1_1-0.jar

mkdir -p activemq-gbean-management-g1_1/0
ln -sf $(build-classpath activemq3/gbean-management-g1_1) activemq-gbean-management-g1_1/0/activemq-gbean-management-g1_1-0.jar

mkdir -p antlr/0
ln -sf $(build-classpath antlr) antlr/0/antlr-0.jar

mkdir -p asm/0
ln -sf $(build-classpath asm/asm) asm/0/asm-0.jar

mkdir -p axis-axis/0
ln -sf $(build-classpath axis/axis) axis-axis/0/axis-axis-0.jar

mkdir -p catalina/0
ln -sf $(build-classpath tomcat5/catalina) catalina/0/catalina-0.jar

mkdir -p catalina-cluster/0
ln -sf $(build-classpath tomcat5/catalina-cluster) catalina-cluster/0/catalina-cluster-0.jar

mkdir -p catalina-optional/0
ln -sf $(build-classpath tomcat5/catalina-optional) catalina-optional/0/catalina-optional-0.jar

mkdir -p cglib-nodep/0
ln -sf $(build-classpath cglib-nodep) cglib-nodep/0/cglib-nodep-0.jar

mkdir -p commons-beanutils/0
ln -sf $(build-classpath commons-beanutils) commons-beanutils/0/commons-beanutils-0.jar

mkdir -p commons-cli/0
ln -sf $(build-classpath commons-cli) commons-cli/0/commons-cli-0.jar

mkdir -p commons-collections/0
ln -sf $(build-classpath commons-collections) commons-collections/0/commons-collections-0.jar

mkdir -p commons-digester/0
ln -sf $(build-classpath commons-digester) commons-digester/0/commons-digester-0.jar

mkdir -p commons-discovery/0
ln -sf $(build-classpath commons-discovery) commons-discovery/0/commons-discovery-0.jar

mkdir -p commons-el/0
ln -sf $(build-classpath commons-el) commons-el/0/commons-el-0.jar

mkdir -p commons-logging/0
ln -sf $(build-classpath commons-logging) commons-logging/0/commons-logging-0.jar

mkdir -p commons-modeler/0
ln -sf $(build-classpath commons-modeler) commons-modeler/0/commons-modeler-0.jar

mkdir -p concurrent/0
ln -sf $(build-classpath concurrent) concurrent/0/concurrent-0.jar

mkdir -p derby/0
ln -sf $(build-classpath derby/derby) derby/0/derby-0.jar

mkdir -p derbyclient/0
ln -sf $(build-classpath derby/derbyclient) derbyclient/0/derbyclient-0.jar

mkdir -p derbynet/0
ln -sf $(build-classpath derby/derbynet) derbynet/0/derbynet-0.jar

mkdir -p derbytools/0
ln -sf $(build-classpath derby/derbytools) derbytools/0/derbytools-0.jar

mkdir -p geronimo-activation/%{version}
ln -sf %{_javadir}/%{name}/activation.jar geronimo-activation/%{version}/geronimo-activation-%{version}.jar

mkdir -p geronimo-activation_1.0.2_spec/0
ln -sf $(build-classpath geronimo-jaf-1.0.2-api) geronimo-activation_1.0.2_spec/0/geronimo-activation_1.0.2_spec-0.jar

mkdir -p geronimo-axis/%{version}
ln -sf %{_javadir}/%{name}/axis.jar geronimo-axis/%{version}/geronimo-axis-%{version}.jar

mkdir -p geronimo-axis-builder/%{version}
ln -sf %{_javadir}/%{name}/axis-builder.jar geronimo-axis-builder/%{version}/geronimo-axis-builder-%{version}.jar

mkdir -p geronimo-client/%{version}
ln -sf %{_javadir}/%{name}/client.jar geronimo-client/%{version}/geronimo-client-%{version}.jar

mkdir -p geronimo-client-builder/%{version}
ln -sf %{_javadir}/%{name}/client-builder.jar geronimo-client-builder/%{version}/geronimo-client-builder-%{version}.jar

mkdir -p geronimo-common/%{version}
ln -sf %{_javadir}/%{name}/common.jar geronimo-common/%{version}/geronimo-common-%{version}.jar

mkdir -p geronimo-connector/%{version}
ln -sf %{_javadir}/%{name}/connector.jar geronimo-connector/%{version}/geronimo-connector-%{version}.jar

mkdir -p geronimo-connector-builder/%{version}
ln -sf %{_javadir}/%{name}/connector-builder.jar geronimo-connector-builder/%{version}/geronimo-connector-builder-%{version}.jar

mkdir -p geronimo-console-core/%{version}
ln -sf %{_javadir}/%{name}/console-core.jar geronimo-console-core/%{version}/geronimo-console-core-%{version}.jar

mkdir -p geronimo-converter/%{version}
ln -sf %{_javadir}/%{name}/converter.jar geronimo-converter/%{version}/geronimo-converter-%{version}.jar

mkdir -p geronimo-core/%{version}
ln -sf %{_javadir}/%{name}/core.jar geronimo-core/%{version}/geronimo-core-%{version}.jar

mkdir -p geronimo-deploy-config/%{version}
ln -sf %{_javadir}/%{name}/deploy-config.jar geronimo-deploy-config/%{version}/geronimo-deploy-config-%{version}.jar

mkdir -p geronimo-deploy-jsr88/%{version}
ln -sf %{_javadir}/%{name}/deploy-jsr88.jar geronimo-deploy-jsr88/%{version}/geronimo-deploy-jsr88-%{version}.jar

mkdir -p geronimo-deployment/%{version}
ln -sf %{_javadir}/%{name}/deployment.jar geronimo-deployment/%{version}/geronimo-deployment-%{version}.jar

mkdir -p geronimo-deploy-tool/%{version}
ln -sf %{_javadir}/%{name}/deploy-tool.jar geronimo-deploy-tool/%{version}/geronimo-deploy-tool-%{version}.jar

mkdir -p geronimo-derby/%{version}
ln -sf %{_javadir}/%{name}/derby.jar geronimo-derby/%{version}/geronimo-derby-%{version}.jar

mkdir -p geronimo-ejb_2.1_spec/0
ln -sf $(build-classpath geronimo-ejb-2.1-api) geronimo-ejb_2.1_spec/0/geronimo-ejb_2.1_spec-0.jar

mkdir -p geronimo-hot-deploy/%{version}
ln -sf %{_javadir}/%{name}/hot-deploy.jar geronimo-hot-deploy/%{version}/geronimo-hot-deploy-%{version}.jar

mkdir -p geronimo-j2ee/%{version}
ln -sf %{_javadir}/%{name}/j2ee.jar geronimo-j2ee/%{version}/geronimo-j2ee-%{version}.jar

mkdir -p geronimo-j2ee_1.4_spec/0
ln -sf $(build-classpath geronimo-j2ee-1.4-apis) geronimo-j2ee_1.4_spec/0/geronimo-j2ee_1.4_spec-0.jar

mkdir -p geronimo-j2ee-builder/%{version}
ln -sf %{_javadir}/%{name}/j2ee-builder.jar geronimo-j2ee-builder/%{version}/geronimo-j2ee-builder-%{version}.jar

mkdir -p geronimo-j2ee-connector_1.5_spec/0
ln -sf $(build-classpath geronimo-j2ee-connector-1.5-api) geronimo-j2ee-connector_1.5_spec/0/geronimo-j2ee-connector_1.5_spec-0.jar

mkdir -p geronimo-j2ee-deployment_1.1_spec/0
ln -sf $(build-classpath geronimo-j2ee-deployment-1.1-api) geronimo-j2ee-deployment_1.1_spec/0/geronimo-j2ee-deployment_1.1_spec-0.jar

mkdir -p geronimo-j2ee-jacc_1.0_spec/0
ln -sf $(build-classpath geronimo-jacc-1.0-api) geronimo-j2ee-jacc_1.0_spec/0/geronimo-j2ee-jacc_1.0_spec-0.jar

mkdir -p geronimo-j2ee-management_1.0_spec/0
ln -sf $(build-classpath geronimo-j2ee-management-1.0-api) geronimo-j2ee-management_1.0_spec/0/geronimo-j2ee-management_1.0_spec-0.jar

mkdir -p geronimo-j2ee-schema/%{version}
ln -sf %{_javadir}/%{name}/j2ee-schema.jar geronimo-j2ee-schema/%{version}/geronimo-j2ee-schema-%{version}.jar

mkdir -p geronimo-javamail_1.3.1_spec/0
ln -sf $(build-classpath geronimo-javamail-1.3.1-api) geronimo-javamail_1.3.1_spec/0/geronimo-javamail_1.3.1_spec-0.jar

mkdir -p geronimo-javamail-transport/%{version}
ln -sf %{_javadir}/%{name}/javamail-transport.jar geronimo-javamail-transport/%{version}/geronimo-javamail-transport-%{version}.jar

mkdir -p geronimo-jaxr_1.0_spec/0
ln -sf $(build-classpath geronimo-jaxr-1.0-api) geronimo-jaxr_1.0_spec/0/geronimo-jaxr_1.0_spec-0.jar

mkdir -p geronimo-jaxrpc_1.1_spec/0
ln -sf $(build-classpath geronimo-jaxrpc-1.1-api) geronimo-jaxrpc_1.1_spec/0/geronimo-jaxrpc_1.1_spec-0.jar

mkdir -p geronimo-jetty/%{version}
ln -sf %{_javadir}/%{name}/jetty.jar geronimo-jetty/%{version}/geronimo-jetty-%{version}.jar

mkdir -p geronimo-jetty-builder/%{version}
ln -sf %{_javadir}/%{name}/jetty-builder.jar geronimo-jetty-builder/%{version}/geronimo-jetty-builder-%{version}.jar

mkdir -p geronimo-jms_1.1_spec/0
ln -sf $(build-classpath geronimo-jms-1.1-api) geronimo-jms_1.1_spec/0/geronimo-jms_1.1_spec-0.jar

mkdir -p geronimo-jmxremoting/%{version}
ln -sf %{_javadir}/%{name}/jmxremoting.jar geronimo-jmxremoting/%{version}/geronimo-jmxremoting-%{version}.jar

mkdir -p geronimo-jsp_2.0_spec/0
ln -sf $(build-classpath geronimo-jsp-2.0-api) geronimo-jsp_2.0_spec/0/geronimo-jsp_2.0_spec-0.jar

mkdir -p geronimo-jta_1.0.1B_spec/0
ln -sf $(build-classpath geronimo-jta-1.0.1B-api) geronimo-jta_1.0.1B_spec/0/geronimo-jta_1.0.1B_spec-0.jar

mkdir -p geronimo-kernel/%{version}
ln -sf %{_javadir}/%{name}/kernel.jar geronimo-kernel/%{version}/geronimo-kernel-%{version}.jar

mkdir -p geronimo-mail/%{version}
ln -sf %{_javadir}/%{name}/mail.jar geronimo-mail/%{version}/geronimo-mail-%{version}.jar

mkdir -p geronimo-management/%{version}
ln -sf %{_javadir}/%{name}/management.jar geronimo-management/%{version}/geronimo-management-%{version}.jar

mkdir -p geronimo-naming/%{version}
ln -sf %{_javadir}/%{name}/naming.jar geronimo-naming/%{version}/geronimo-naming-%{version}.jar

mkdir -p geronimo-naming-builder/%{version}
ln -sf %{_javadir}/%{name}/naming-builder.jar geronimo-naming-builder/%{version}/geronimo-naming-builder-%{version}.jar

mkdir -p geronimo-qname_1.1_spec/0
ln -sf $(build-classpath geronimo-qname-1.1-api) geronimo-qname_1.1_spec/0/geronimo-qname_1.1_spec-0.jar

mkdir -p geronimo-remote-deploy-lib/%{version}
ln -sf %{_javadir}/%{name}/remote-deploy-lib.jar geronimo-remote-deploy-lib/%{version}/geronimo-remote-deploy-lib-%{version}.jar

mkdir -p geronimo-saaj_1.1_spec/0
ln -sf $(build-classpath geronimo-saaj-1.1-api) geronimo-saaj_1.1_spec/0/geronimo-saaj_1.1_spec-0.jar

mkdir -p geronimo-security/%{version}
ln -sf %{_javadir}/%{name}/security.jar geronimo-security/%{version}/geronimo-security-%{version}.jar

mkdir -p geronimo-security-builder/%{version}
ln -sf %{_javadir}/%{name}/security-builder.jar geronimo-security-builder/%{version}/geronimo-security-builder-%{version}.jar

mkdir -p geronimo-service-builder/%{version}
ln -sf %{_javadir}/%{name}/service-builder.jar geronimo-service-builder/%{version}/geronimo-service-builder-%{version}.jar

mkdir -p geronimo-servlet_2.4_spec/0
ln -sf $(build-classpath geronimo-servlet-2.4-api) geronimo-servlet_2.4_spec/0/geronimo-servlet_2.4_spec-0.jar

mkdir -p geronimo-spec-corba/0
ln -sf $(build-classpath geronimo-corba-2.3-apis) geronimo-spec-corba/0/geronimo-spec-corba-0.jar

mkdir -p geronimo-system/%{version}
ln -sf %{_javadir}/%{name}/system.jar geronimo-system/%{version}/geronimo-system-%{version}.jar

mkdir -p geronimo-test-ddbean/%{version}
ln -sf %{_javadir}/%{name}/test-ddbean.jar geronimo-test-ddbean/%{version}/geronimo-test-ddbean-%{version}.jar

mkdir -p geronimo-timer/%{version}
ln -sf %{_javadir}/%{name}/timer.jar geronimo-timer/%{version}/geronimo-timer-%{version}.jar

mkdir -p geronimo-tomcat/%{version}
ln -sf %{_javadir}/%{name}/tomcat.jar geronimo-tomcat/%{version}/geronimo-tomcat-%{version}.jar

mkdir -p geronimo-tomcat-builder/%{version}
ln -sf %{_javadir}/%{name}/tomcat-builder.jar geronimo-tomcat-builder/%{version}/geronimo-tomcat-builder-%{version}.jar

mkdir -p geronimo-transaction/%{version}
ln -sf %{_javadir}/%{name}/transaction.jar geronimo-transaction/%{version}/geronimo-transaction-%{version}.jar

mkdir -p geronimo-uddi-db/%{version}
ln -sf %{_javadir}/%{name}/uddi-db.jar geronimo-uddi-db/%{version}/geronimo-uddi-db-%{version}.jar

mkdir -p geronimo-upgrade/%{version}
ln -sf %{_javadir}/%{name}/upgrade.jar geronimo-upgrade/%{version}/geronimo-upgrade-%{version}.jar

mkdir -p geronimo-util/%{version}
ln -sf %{_javadir}/%{name}/util.jar geronimo-util/%{version}/geronimo-util-%{version}.jar

mkdir -p geronimo-web-builder/%{version}
ln -sf %{_javadir}/%{name}/web-builder.jar geronimo-web-builder/%{version}/geronimo-web-builder-%{version}.jar

mkdir -p geronimo-webservices/%{version}
ln -sf %{_javadir}/%{name}/webservices.jar geronimo-webservices/%{version}/geronimo-webservices-%{version}.jar

mkdir -p howl-logger/0
ln -sf $(build-classpath howl-logger) howl-logger/0/howl-logger-0.jar

mkdir -p jasper-compiler/0
ln -sf $(build-classpath jasper5-compiler) jasper-compiler/0/jasper-compiler-0.jar

mkdir -p jasper-compiler-jdt/0
ln -sf $(build-classpath ecj) jasper-compiler-jdt/0/jasper-compiler-jdt-0.jar

mkdir -p jasper-runtime/0
ln -sf $(build-classpath jasper5-runtime) jasper-runtime/0/jasper-runtime-0.jar

mkdir -p jaxr-api/0
ln -sf $(build-classpath geronimo-jaxr-1.0-api) jaxr-api/0/jaxr-api-0.jar

mkdir -p jdom/0
ln -sf $(build-classpath jdom) jdom/0/jdom-0.jar

mkdir -p juddi/0
ln -sf $(build-classpath juddi/juddi) juddi/0/juddi-0.jar

mkdir -p log4j/0
ln -sf $(build-classpath log4j) log4j/0/log4j-0.jar

mkdir -p mx4j/0
ln -sf $(build-classpath mx4j/mx4j) mx4j/0/mx4j-0.jar

mkdir -p mx4j-remote/0
ln -sf $(build-classpath mx4j/mx4j-remote) mx4j-remote/0/mx4j-remote-0.jar

mkdir -p naming-resources/0
ln -sf $(build-classpath tomcat5/naming-resources) naming-resources/0/naming-resources-0.jar

mkdir -p openejb-builder/0
ln -sf $(build-classpath openejb2/builder) openejb-builder/0/openejb-builder-0.jar

mkdir -p openejb-core/0
ln -sf $(build-classpath openejb2/core) openejb-core/0/openejb-core-0.jar

mkdir -p openejb-pkgen-builder/0
ln -sf $(build-classpath openejb2/pkgen-builder) openejb-pkgen-builder/0/openejb-pkgen-builder-0.jar

mkdir -p org.mortbay.jetty/0
ln -sf $(build-classpath jetty5/jetty5) org.mortbay.jetty/0/org.mortbay.jetty-0.jar

mkdir -p pluto/0
ln -sf $(build-classpath portals-pluto/pluto) pluto/0/pluto-0.jar

mkdir -p pluto-descriptors/0
ln -sf $(build-classpath portals-pluto/pluto-descriptors) pluto-descriptors/0/pluto-descriptors-0.jar

mkdir -p pluto-portal/0
ln -sf $(build-classpath portals-pluto/pluto-portal) pluto-portal/0/pluto-portal-0.jar

mkdir -p portlet-api/0
ln -sf $(build-classpath portlet-1.0-api) portlet-api/0/portlet-api-0.jar

mkdir -p scout/0
ln -sf $(build-classpath ws-scout/scout) scout/0/scout-0.jar

mkdir -p servlets-default/0
ln -sf $(build-classpath tomcat5/servlets-default) servlets-default/0/servlets-default-0.jar

mkdir -p servlets-invoker/0
ln -sf $(build-classpath tomcat5/servlets-invoker) servlets-invoker/0/servlets-invoker-0.jar

mkdir -p spring/0
ln -sf $(build-classpath spring) spring/0/spring-0.jar

mkdir -p stax-api/0
ln -sf $(build-classpath bea-stax-api) stax-api/0/stax-api-0.jar

mkdir -p tomcat-ajp/0
ln -sf $(build-classpath tomcat5/tomcat-ajp) tomcat-ajp/0/tomcat-ajp-0.jar

mkdir -p tomcat-coyote/0
ln -sf $(build-classpath tomcat5/tomcat-coyote) tomcat-coyote/0/tomcat-coyote-0.jar

mkdir -p tomcat-http/0
ln -sf $(build-classpath tomcat5/tomcat-http) tomcat-http/0/tomcat-http-0.jar

mkdir -p tomcat-util/0
ln -sf $(build-classpath tomcat5/tomcat-util) tomcat-util/0/tomcat-util-0.jar

mkdir -p tranql/0
ln -sf $(build-classpath tranql) tranql/0/tranql-0.jar

mkdir -p tranql-connector/0
ln -sf $(build-classpath tranql-connector) tranql-connector/0/tranql-connector-0.jar

mkdir -p tranql-connector-derby-client-local/0
ln -sf \
%{_datadir}/tranql-connector-derby/tranql-connector-derby-client-local.rar \
tranql-connector-derby-client-local/0/tranql-connector-derby-client-local-0.rar

mkdir -p tranql-connector-derby-client-xa/0
ln -sf \
%{_datadir}/tranql-connector-derby/tranql-connector-derby-client-xa.rar \
tranql-connector-derby-client-xa/0/tranql-connector-derby-client-xa-0.rar

mkdir -p tranql-connector-derby-embed-local/0
ln -sf \
%{_datadir}/tranql-connector-derby/tranql-connector-derby-embed-local.rar \
tranql-connector-derby-embed-local/0/tranql-connector-derby-embed-local-0.rar

mkdir -p tranql-connector-derby-embed-xa/0
ln -sf \
%{_datadir}/tranql-connector-derby/tranql-connector-derby-embed-xa.rar \
tranql-connector-derby-embed-xa/0/tranql-connector-derby-embed-xa-0.rar

mkdir -p wadi-core/0
ln -sf $(build-classpath wadi/core) wadi-core/0/wadi-core-0.jar

mkdir -p wadi-jetty5/0
ln -sf $(build-classpath wadi/jetty5) wadi-jetty5/0/wadi-jetty5-0.jar

mkdir -p wadi-tomcat55/0
ln -sf $(build-classpath wadi/tomcat55) wadi-tomcat55/0/wadi-tomcat55-0.jar

mkdir -p wsdl4j/0
ln -sf $(build-classpath wsdl4j) wsdl4j/0/wsdl4j-0.jar

mkdir -p xbean/0
ln -sf $(build-classpath xmlbeans/xbean) xbean/0/xbean-0.jar

mkdir -p xercesImpl/0
ln -sf $(build-classpath xerces-j2) xercesImpl/0/xercesImpl-0.jar

mkdir -p xmlParserAPIs/0
ln -sf $(build-classpath xml-commons-apis) xmlParserAPIs/0/xmlParserAPIs-0.jar

mkdir -p xpp3/0
ln -sf $(build-classpath xpp3) xpp3/0/xpp3-0.jar

mkdir -p xstream/0
ln -sf $(build-classpath xstream) xstream/0/xstream-0.jar

popd

cp -rp assemblies/j2ee-jetty-server/target/geronimo-1.1/schema/* $RPM_BUILD_ROOT%{_datadir}/%{name}/schema
cp -rp assemblies/j2ee-tomcat-server/target/geronimo-1.1/schema/* $RPM_BUILD_ROOT%{_datadir}/%{name}/schema


install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/j2ee-jetty
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/j2ee-jetty/bin
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/j2ee-jetty/bin
for s in ../../bin/*.sh; do ln -sf $s; done
for j in ../../bin/*.jar; do cp $j .; done
echo export GERONIMO_HOME=%{_datadir}/%{name}/j2ee-jetty > server_vars
popd
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/j2ee-jetty/lib
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/j2ee-jetty/lib
for j in ../../lib/*.jar; do ln -sf $j; done
mkdir endorsed
pushd endorsed
for j in ../../../lib/endorsed/*.jar; do ln -sf $j; done
popd
mkdir ext
popd
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/j2ee-jetty
ln -sf ../repository repository
ln -sf ../schema schema
popd

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/j2ee-tomcat
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/j2ee-tomcat/bin
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/j2ee-tomcat/bin
for s in ../../bin/*.sh; do ln -sf $s; done
for j in ../../bin/*.jar; do cp $j .; done
echo export GERONIMO_HOME=%{_datadir}/%{name}/j2ee-tomcat > server_vars
popd
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/j2ee-tomcat/lib
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/j2ee-tomcat/lib
for j in ../../lib/*.jar; do ln -sf $j; done
mkdir endorsed
pushd endorsed
for j in ../../../lib/endorsed/*.jar; do ln -sf $j; done
popd
mkdir ext
popd
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/j2ee-tomcat
ln -sf ../repository repository
ln -sf ../schema schema
popd

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/minimal-jetty
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/minimal-jetty/bin
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/minimal-jetty/bin
for s in ../../bin/*.sh; do ln -sf $s; done
for j in ../../bin/*.jar; do b=$(basename $j) && [ "x$b" != "xclient.jar" -a "x$b" != "xupgrade.jar" ] && cp $j .; done
echo export GERONIMO_HOME=%{_datadir}/%{name}/minimal-jetty > server_vars
popd
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/minimal-jetty/lib
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/minimal-jetty/lib
for j in ../../lib/*.jar; do b=$(basename $j) && [ "x$b" != "xxpp3-0.jar" -a "x$b" != "xxstream-0.jar" ] && ln -sf $j; done
mkdir endorsed
pushd endorsed
for j in ../../../lib/endorsed/*.jar; do ln -sf $j; done
popd
mkdir ext
popd
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/minimal-jetty
ln -sf ../repository repository
ln -sf ../schema schema
popd

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/minimal-tomcat
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/minimal-tomcat/bin
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/minimal-tomcat/bin
for s in ../../bin/*.sh; do ln -sf $s; done
for j in ../../bin/*.jar; do b=$(basename $j) && [ "x$b" != "xclient.jar" -a "x$b" != "xupgrade.jar" ] && cp $j .; done
echo export GERONIMO_HOME=%{_datadir}/%{name}/minimal-tomcat > server_vars
popd
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/minimal-tomcat/lib
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/minimal-tomcat/lib
for j in ../../lib/*.jar; do b=$(basename $j) && [ "x$b" != "xxpp3-0.jar" -a "x$b" != "xxstream-0.jar" ] && ln -sf $j; done
mkdir endorsed
pushd endorsed
for j in ../../../lib/endorsed/*.jar; do ln -sf $j; done
popd
mkdir ext
popd
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/minimal-tomcat
ln -sf ../repository repository
ln -sf ../schema schema
popd

%endif

# jars

install -m 0644 modules/common/target/geronimo-common-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/common-%{version}.jar
install -m 0644 modules/core/target/geronimo-core-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -m 0644 modules/deployment/target/geronimo-deployment-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/deployment-%{version}.jar
install -m 0644 modules/j2ee/target/geronimo-j2ee-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/j2ee-%{version}.jar
install -m 0644 modules/kernel/target/geronimo-kernel-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/kernel-%{version}.jar
install -m 0644 modules/management/target/geronimo-management-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/management-%{version}.jar
install -m 0644 modules/naming/target/geronimo-naming-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/naming-%{version}.jar
install -m 0644 modules/system/target/geronimo-system-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/system-%{version}.jar
install -m 0644 modules/transaction/target/geronimo-transaction-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/transaction-%{version}.jar
install -m 0644 modules/util/target/geronimo-util-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/util-%{version}.jar

%if %{without_bootstrap1}

install -m 0644 modules/security/target/geronimo-security-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/security-%{version}.jar
install -m 0644 modules/connector/target/geronimo-connector-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/connector-%{version}.jar

%if %{without_bootstrap2}
install -m 0644 modules/activation/target/geronimo-activation-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/activation-%{version}.jar
install -m 0644 modules/axis-builder/target/geronimo-axis-builder-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/axis-builder-%{version}.jar
install -m 0644 modules/axis/target/geronimo-axis-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/axis-%{version}.jar
install -m 0644 modules/client-builder/target/geronimo-client-builder-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/client-builder-%{version}.jar
install -m 0644 modules/client/target/geronimo-client-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/client-%{version}.jar
install -m 0644 modules/connector-builder/target/geronimo-connector-builder-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/connector-builder-%{version}.jar
install -m 0644 modules/converter/target/geronimo-converter-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/converter-%{version}.jar
install -m 0644 modules/deploy-config/target/geronimo-deploy-config-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/deploy-config-%{version}.jar
install -m 0644 modules/deploy-jsr88/target/geronimo-deploy-jsr88-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/deploy-jsr88-%{version}.jar
install -m 0644 modules/deploy-tool/target/geronimo-deploy-tool-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/deploy-tool-%{version}.jar
install -m 0644 modules/derby/target/geronimo-derby-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/derby-%{version}.jar
install -m 0644 modules/hot-deploy/target/geronimo-hot-deploy-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/hot-deploy-%{version}.jar
install -m 0644 modules/installer-processing/target/geronimo-installer-processing-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/installer-processing-%{version}.jar
install -m 0644 modules/installer-support/target/geronimo-installer-support-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/installer-support-%{version}.jar
install -m 0644 modules/installer-support/target/standalone-compiler-custom-3.8.0.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/standalone-compiler-custom-3.8.0.jar
install -m 0644 modules/j2ee-builder/target/geronimo-j2ee-builder-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/j2ee-builder-%{version}.jar
install -m 0644 modules/j2ee-schema/target/geronimo-j2ee-schema-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/j2ee-schema-%{version}.jar
install -m 0644 modules/javamail-transport/target/geronimo-javamail-transport-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/javamail-transport-%{version}.jar
install -m 0644 modules/jmx-remoting/target/geronimo-jmxremoting-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/jmxremoting-%{version}.jar
install -m 0644 modules/mail/target/geronimo-mail-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/mail-%{version}.jar
install -m 0644 modules/naming-builder/target/geronimo-naming-builder-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/naming-builder-%{version}.jar
install -m 0644 modules/security-builder/target/geronimo-security-builder-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/security-builder-%{version}.jar
install -m 0644 modules/service-builder/target/geronimo-service-builder-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/service-builder-%{version}.jar
install -m 0644 modules/test-ddbean/target/geronimo-test-ddbean-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/test-ddbean-%{version}.jar
install -m 0644 modules/timer/target/geronimo-timer-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/timer-%{version}.jar
install -m 0644 modules/upgrade/target/geronimo-upgrade-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/upgrade-%{version}.jar
install -m 0644 modules/web-builder/target/geronimo-web-builder-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/web-builder-%{version}.jar
install -m 0644 modules/webservices/target/geronimo-webservices-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/webservices-%{version}.jar
install -m 0644 plugins/geronimo-assembly-plugin/target/geronimo-assembly-plugin-1.1.0-12.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/geronimo-assembly-plugin-%{version}.jar
install -m 0644 plugins/geronimo-dependency-plugin/target/geronimo-dependency-plugin-1.1.0-3.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/geronimo-dependency-plugin-%{version}.jar
install -m 0644 plugins/geronimo-deployment-plugin/target/geronimo-deployment-plugin-1.1.0-3.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/geronimo-deployment-plugin-%{version}.jar
install -m 0644 plugins/geronimo-izpack-plugin/target/geronimo-izpack-plugin-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/geronimo-izpack-plugin-%{version}.jar
install -m 0644 plugins/geronimo-packaging-plugin/target/geronimo-packaging-plugin-1.1.0-10.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/geronimo-packaging-plugin-%{version}.jar
#
install -m 0644 applications/console-core/target/geronimo-console-core-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/console-core-%{version}.jar
install -m 0644 applications/daytrader/derby/target/geronimo-daytrader-derby-db-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/daytrader-derby-db-%{version}.jar
install -m 0644 applications/remote-deploy-lib/target/geronimo-remote-deploy-lib-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/remote-deploy-lib-%{version}.jar
install -m 0644 applications/uddi-db/target/geronimo-uddi-db-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/uddi-db-%{version}.jar

install -m 0644 modules/directory/target/geronimo-directory-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/directory-%{version}.jar
install -m 0644 modules/jetty-builder/target/geronimo-jetty-builder-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-builder-%{version}.jar
install -m 0644 modules/jetty/target/geronimo-jetty-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-%{version}.jar
install -m 0644 modules/tomcat-builder/target/geronimo-tomcat-builder-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/tomcat-builder-%{version}.jar
install -m 0644 modules/tomcat/target/geronimo-tomcat-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/tomcat-%{version}.jar
install -m 0644 modules/console-web/target/geronimo-console-web-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/console-web-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{standalone_compiler_version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{standalone_compiler_version}||g"`; done)

%if %{without_bootstrap3}

%endif
%endif
%endif

# versionless symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%if %{without_bootstrap1} && %{without_bootstrap2} && %{without_bootstrap3}

# rars
install -Dm 0644 modules/activemq-embedded-rar/target/ge-activemq-rar-1.1.rar \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/ge-activemq-rar/%{version}/ge-activemq-rar-%{version}.rar

# cars
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/activemq/%{version}/activemq-%{version}.car
cp -pr configs/activemq/target/repository/JPP/activemq/1.1/activemq-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/activemq/%{version}/activemq-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/activemq-broker/%{version}/activemq-broker-%{version}.car
cp -pr configs/activemq-broker/target/repository/JPP/activemq-broker/1.1/activemq-broker-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/activemq-broker/%{version}/activemq-broker-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/axis/%{version}/axis-%{version}.car
cp -pr configs/axis/target/repository/JPP/axis/1.1/axis-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/axis/%{version}/axis-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/axis-deployer/%{version}/axis-deployer-%{version}.car
cp -pr configs/axis-deployer/target/repository/JPP/axis-deployer/1.1/axis-deployer-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/axis-deployer/%{version}/axis-deployer-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/client/%{version}/client-%{version}.car
cp -pr configs/client/target/repository/JPP/client/1.1/client-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/client/%{version}/client-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/client-corba/%{version}/client-corba-%{version}.car
cp -pr configs/client-corba/target/repository/JPP/client-corba/1.1/client-corba-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/client-corba/%{version}/client-corba-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/client-deployer/%{version}/client-deployer-%{version}.car
cp -pr configs/client-deployer/target/repository/JPP/client-deployer/1.1/client-deployer-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/client-deployer/%{version}/client-deployer-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/client-security/%{version}/client-security-%{version}.car
cp -pr configs/client-security/target/repository/JPP/client-security/1.1/client-security-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/client-security/%{version}/client-security-%{version}.car

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/client-system/%{version}/client-system-%{version}.car
cp -p configs/client-system/target/client-system-%{version}.car  \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/client-system/%{version}/client-system-%{version}.car
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/client-system/%{version}/client-system-%{version}.car
jar xf client-system-%{version}.car
rm client-system-%{version}.car
popd

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/daytrader-derby-jetty/%{version}/daytrader-derby-jetty-%{version}.car
cp -pr configs/daytrader-jetty/target/repository/JPP/daytrader-derby-jetty/1.1/daytrader-derby-jetty-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/daytrader-derby-jetty/%{version}/daytrader-derby-jetty-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/daytrader-derby-jetty_streamer.jar/%{version}/daytrader-derby-jetty_streamer.jar-%{version}.car
cp -pr configs/daytrader-jetty/target/repository/JPP/daytrader-derby-jetty_streamer.jar/1.1/daytrader-derby-jetty_streamer.jar-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/daytrader-derby-jetty_streamer.jar/%{version}/daytrader-derby-jetty_streamer.jar-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/daytrader-derby-tomcat/%{version}/daytrader-derby-tomcat-%{version}.car
cp -pr configs/daytrader-tomcat/target/repository/JPP/daytrader-derby-tomcat/1.1/daytrader-derby-tomcat-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/daytrader-derby-tomcat/%{version}/daytrader-derby-tomcat-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/daytrader-derby-tomcat_streamer.jar/%{version}/daytrader-derby-tomcat_streamer.jar-%{version}.car
cp -pr configs/daytrader-tomcat/target/repository/JPP/daytrader-derby-tomcat_streamer.jar/1.1/daytrader-derby-tomcat_streamer.jar-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/daytrader-derby-tomcat_streamer.jar/%{version}/daytrader-derby-tomcat_streamer.jar-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/directory/%{version}/directory-%{version}.car
cp -pr configs/directory/target/repository/JPP/directory/1.1/directory-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/directory/%{version}/directory-%{version}.car

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/geronimo-gbean-deployer/%{version}/geronimo-gbean-deployer-%{version}.car
cp -p configs/geronimo-gbean-deployer/target/geronimo-gbean-deployer-%{version}.car  \
        $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/geronimo-gbean-deployer/%{version}/geronimo-gbean-deployer-%{version}.car
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/geronimo-gbean-deployer/%{version}/geronimo-gbean-deployer-%{version}.car
jar xf geronimo-gbean-deployer-%{version}.car
rm geronimo-gbean-deployer-%{version}.car
popd

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/hot-deployer/%{version}/hot-deployer-%{version}.car
cp -pr configs/hot-deployer/target/repository/JPP/hot-deployer/1.1/hot-deployer-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/hot-deployer/%{version}/hot-deployer-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/j2ee-corba/%{version}/j2ee-corba-%{version}.car
cp -pr configs/j2ee-corba/target/repository/JPP/j2ee-corba/1.1/j2ee-corba-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/j2ee-corba/%{version}/j2ee-corba-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/j2ee-deployer/%{version}/j2ee-deployer-%{version}.car
cp -pr configs/j2ee-deployer/target/repository/JPP/j2ee-deployer/1.1/j2ee-deployer-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/j2ee-deployer/%{version}/j2ee-deployer-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/j2ee-security/%{version}/j2ee-security-%{version}.car
cp -pr configs/j2ee-security/target/repository/JPP/j2ee-security/1.1/j2ee-security-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/j2ee-security/%{version}/j2ee-security-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/j2ee-server/%{version}/j2ee-server-%{version}.car
cp -pr configs/j2ee-server/target/repository/JPP/j2ee-server/1.1/j2ee-server-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/j2ee-server/%{version}/j2ee-server-%{version}.car

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/j2ee-system/%{version}/j2ee-system-%{version}.car
cp -p configs/j2ee-system/target/j2ee-system-%{version}.car  \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/j2ee-system/%{version}/j2ee-system-%{version}.car
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/j2ee-system/%{version}/j2ee-system-%{version}.car
jar xf j2ee-system-%{version}.car
rm j2ee-system-%{version}.car
popd

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/javamail/%{version}/javamail-%{version}.car
cp -pr configs/javamail/target/repository/JPP/javamail/1.1/javamail-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/javamail/%{version}/javamail-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/jetty/%{version}/jetty-%{version}.car
cp -pr configs/jetty/target/repository/JPP/jetty/1.1/jetty-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/jetty/%{version}/jetty-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/jetty-deployer/%{version}/jetty-deployer-%{version}.car
cp -pr configs/jetty-deployer/target/repository/JPP/jetty-deployer/1.1/jetty-deployer-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/jetty-deployer/%{version}/jetty-deployer-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/jsp-examples-jetty/%{version}/jsp-examples-jetty-%{version}.car
cp -pr configs/jsp-examples-jetty/target/repository/JPP/jsp-examples-jetty/1.1/jsp-examples-jetty-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/jsp-examples-jetty/%{version}/jsp-examples-jetty-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/jsp-examples-tomcat/%{version}/jsp-examples-tomcat-%{version}.car
cp -pr configs/jsp-examples-tomcat/target/repository/JPP/jsp-examples-tomcat/1.1/jsp-examples-tomcat-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/jsp-examples-tomcat/%{version}/jsp-examples-tomcat-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/ldap-demo-jetty/%{version}/ldap-demo-jetty-%{version}.car
cp -pr configs/ldap-demo-jetty/target/repository/JPP/ldap-demo-jetty/1.1/ldap-demo-jetty-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/ldap-demo-jetty/%{version}/ldap-demo-jetty-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/ldap-demo-tomcat/%{version}/ldap-demo-tomcat-%{version}.car
cp -pr configs/ldap-demo-tomcat/target/repository/JPP/ldap-demo-tomcat/1.1/ldap-demo-tomcat-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/ldap-demo-tomcat/%{version}/ldap-demo-tomcat-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/ldap-realm/%{version}/ldap-realm-%{version}.car
cp -pr configs/ldap-realm/target/repository/JPP/ldap-realm/1.1/ldap-realm-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/ldap-realm/%{version}/ldap-realm-%{version}.car

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/online-deployer/%{version}/online-deployer-%{version}.car
cp -p configs/online-deployer/target/online-deployer-%{version}.car  \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/online-deployer/%{version}/online-deployer-%{version}.car
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/online-deployer/%{version}/online-deployer-%{version}.car
jar xf online-deployer-%{version}.car
rm online-deployer-%{version}.car
popd

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/openejb/%{version}/openejb-%{version}.car
cp -pr configs/openejb/target/repository/JPP/openejb/1.1/openejb-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/openejb/%{version}/openejb-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/openejb-deployer/%{version}/openejb-deployer-%{version}.car
cp -pr configs/openejb-deployer/target/repository/JPP/openejb-deployer/1.1/openejb-deployer-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/openejb-deployer/%{version}/openejb-deployer-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/remote-deploy-jetty/%{version}/remote-deploy-jetty-%{version}.car
cp -pr configs/remote-deploy-jetty/target/repository/JPP/remote-deploy-jetty/1.1/remote-deploy-jetty-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/remote-deploy-jetty/%{version}/remote-deploy-jetty-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/remote-deploy-tomcat/%{version}/remote-deploy-tomcat-%{version}.car
cp -pr configs/remote-deploy-tomcat/target/repository/JPP/remote-deploy-tomcat/1.1/remote-deploy-tomcat-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/remote-deploy-tomcat/%{version}/remote-deploy-tomcat-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/rmi-naming/%{version}/rmi-naming-%{version}.car
cp -pr configs/rmi-naming/target/repository/JPP/rmi-naming/1.1/rmi-naming-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/rmi-naming/%{version}/rmi-naming-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/servlets-examples-jetty/%{version}/servlets-examples-jetty-%{version}.car
cp -pr configs/servlets-examples-jetty/target/repository/JPP/servlets-examples-jetty/1.1/servlets-examples-jetty-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/servlets-examples-jetty/%{version}/servlets-examples-jetty-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/servlets-examples-tomcat/%{version}/servlets-examples-tomcat-%{version}.car
cp -pr configs/servlets-examples-tomcat/target/repository/JPP/servlets-examples-tomcat/1.1/servlets-examples-tomcat-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/servlets-examples-tomcat/%{version}/servlets-examples-tomcat-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/sharedlib/%{version}/sharedlib-%{version}.car
cp -pr configs/sharedlib/target/repository/JPP/sharedlib/1.1/sharedlib-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/sharedlib/%{version}/sharedlib-%{version}.car

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/shutdown/%{version}/shutdown-%{version}.car
cp -p configs/shutdown/target/shutdown-%{version}.car  \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/shutdown/%{version}/shutdown-%{version}.car
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/shutdown/%{version}/shutdown-%{version}.car
jar xf shutdown-%{version}.car
rm shutdown-%{version}.car
popd

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/system-database/%{version}/system-database-%{version}.car
cp -pr configs/system-database/target/repository/JPP/system-database/1.1/system-database-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/system-database/%{version}/system-database-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/tomcat/%{version}/tomcat-%{version}.car
cp -pr configs/tomcat/target/repository/JPP/tomcat/1.1/tomcat-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/tomcat/%{version}/tomcat-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/tomcat-deployer/%{version}/tomcat-deployer-%{version}.car
cp -pr configs/tomcat-deployer/target/repository/JPP/tomcat-deployer/1.1/tomcat-deployer-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/tomcat-deployer/%{version}/tomcat-deployer-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/uddi-jetty/%{version}/uddi-jetty-%{version}.car
cp -pr configs/uddi-jetty/target/repository/JPP/uddi-jetty/1.1/uddi-jetty-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/uddi-jetty/%{version}/uddi-jetty-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/uddi-tomcat/%{version}/uddi-tomcat-%{version}.car
cp -pr configs/uddi-tomcat/target/repository/JPP/uddi-tomcat/1.1/uddi-tomcat-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/uddi-tomcat/%{version}/uddi-tomcat-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/unavailable-client-deployer/%{version}/unavailable-client-deployer-%{version}.car
cp -pr configs/unavailable-client-deployer/target/repository/JPP/unavailable-client-deployer/1.1/unavailable-client-deployer-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/unavailable-client-deployer/%{version}/unavailable-client-deployer-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/unavailable-ejb-deployer/%{version}/unavailable-ejb-deployer-%{version}.car
cp -pr configs/unavailable-ejb-deployer/target/repository/JPP/unavailable-ejb-deployer/1.1/unavailable-ejb-deployer-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/unavailable-ejb-deployer/%{version}/unavailable-ejb-deployer-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/unavailable-webservices-deployer/%{version}/unavailable-webservices-deployer-%{version}.car
cp -pr configs/unavailable-webservices-deployer/target/repository/JPP/unavailable-webservices-deployer/1.1/unavailable-webservices-deployer-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/unavailable-webservices-deployer/%{version}/unavailable-webservices-deployer-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/upgrade/%{version}/upgrade-%{version}.car
cp -pr configs/upgrade/target/repository/JPP/upgrade/1.1/upgrade-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/upgrade/%{version}/upgrade-%{version}.car

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/upgrade-cli/%{version}/upgrade-cli-%{version}.car
cp -p configs/upgrade-cli/target/upgrade-cli-%{version}.car  \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/upgrade-cli/%{version}/upgrade-cli-%{version}.car
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/upgrade-cli/%{version}/upgrade-cli-%{version}.car
jar xf upgrade-cli-%{version}.car
rm upgrade-cli-%{version}.car
popd

install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/webconsole-jetty/%{version}/webconsole-jetty-%{version}.car
cp -pr configs/console-jetty/target/repository/JPP/webconsole-jetty/1.1/webconsole-jetty-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/webconsole-jetty/%{version}/webconsole-jetty-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/webconsole-tomcat/%{version}/webconsole-tomcat-%{version}.car
cp -pr configs/console-tomcat/target/repository/JPP/webconsole-tomcat/1.1/webconsole-tomcat-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/webconsole-tomcat/%{version}/webconsole-tomcat-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/welcome-jetty/%{version}/welcome-jetty-%{version}.car
cp -pr configs/welcome-jetty/target/repository/JPP/welcome-jetty/1.1/welcome-jetty-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/welcome-jetty/%{version}/welcome-jetty-%{version}.car
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/welcome-tomcat/%{version}/welcome-tomcat-%{version}.car
cp -pr configs/welcome-tomcat/target/repository/JPP/welcome-tomcat/1.1/welcome-tomcat-1.1.car/* \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/welcome-tomcat/%{version}/welcome-tomcat-%{version}.car

%endif

%if %{without_bootstrap1} && %{without_bootstrap2} && %{without_bootstrap3}

# javadoc
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/common
cp -pr modules/common/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/common
rm -rf modules/common/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core
cp -pr modules/core/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core
rm -rf modules/core/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deployment
cp -pr modules/deployment/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deployment
rm -rf modules/deployment/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/j2ee
cp -pr modules/j2ee/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/j2ee
rm -rf modules/j2ee/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/kernel
cp -pr modules/kernel/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/kernel
rm -rf modules/kernel/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/management
cp -pr modules/management/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/management
rm -rf modules/management/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/naming
cp -pr modules/naming/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/naming
rm -rf modules/naming/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/system
cp -pr modules/system/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/system
rm -rf modules/system/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/transaction
cp -pr modules/transaction/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/transaction
rm -rf modules/transaction/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/util
cp -pr modules/util/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/util
rm -rf modules/util/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/security
cp -pr modules/security/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/security
rm -rf modules/security/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/connector
cp -pr modules/connector/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/connector
rm -rf modules/connector/target/docs/apidocs

install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/activation
cp -pr modules/activation/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/activation
rm -rf modules/activation/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/axis-builder
cp -pr modules/axis-builder/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/axis-builder
rm -rf modules/axis-builder/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/axis
cp -pr modules/axis/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/axis
rm -rf modules/axis/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/client-builder
cp -pr modules/client-builder/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/client-builder
rm -rf modules/client-builder/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/client
cp -pr modules/client/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/client
rm -rf modules/client/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/connector-builder
cp -pr modules/connector-builder/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/connector-builder
rm -rf modules/connector-builder/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/console-web
cp -pr modules/console-web/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/console-web
rm -rf modules/console-web/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/converter
cp -pr modules/converter/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/converter
rm -rf modules/converter/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deploy-config
cp -pr modules/deploy-config/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deploy-config
rm -rf modules/deploy-config/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deploy-jsr88
cp -pr modules/deploy-jsr88/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deploy-jsr88
rm -rf modules/deploy-jsr88/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deploy-tool
cp -pr modules/deploy-tool/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deploy-tool
rm -rf modules/deploy-tool/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/derby
cp -pr modules/derby/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/derby
rm -rf modules/derby/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/hot-deploy
cp -pr modules/hot-deploy/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/hot-deploy
rm -rf modules/hot-deploy/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/installer-processing
cp -pr modules/installer-processing/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/installer-processing
rm -rf modules/installer-processing/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/installer-support
cp -pr modules/installer-support/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/installer-support
rm -rf modules/installer-support/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/j2ee-builder
cp -pr modules/j2ee-builder/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/j2ee-builder
rm -rf modules/j2ee-builder/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/javamail-transport
cp -pr modules/javamail-transport/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/javamail-transport
rm -rf modules/javamail-transport/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jmx-remoting
cp -pr modules/jmx-remoting/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jmx-remoting
rm -rf modules/jmx-remoting/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mail
cp -pr modules/mail/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/mail
rm -rf modules/mail/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/naming-builder
cp -pr modules/naming-builder/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/naming-builder
rm -rf modules/naming-builder/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/security-builder
cp -pr modules/security-builder/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/security-builder
rm -rf modules/security-builder/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/service-builder
cp -pr modules/service-builder/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/service-builder
rm -rf modules/service-builder/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/test-ddbean
cp -pr modules/test-ddbean/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/test-ddbean
rm -rf modules/test-ddbean/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/timer
cp -pr modules/timer/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/timer
rm -rf modules/timer/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/web-builder
cp -pr modules/web-builder/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/web-builder
rm -rf modules/web-builder/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/webservices
cp -pr modules/webservices/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/webservices
rm -rf modules/webservices/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/packaging-plugin
cp -pr plugins/geronimo-packaging-plugin/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/packaging-plugin
rm -rf plugins/geronimo-packaging-plugin/target/docs/apidocs

# 
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/console-core
cp -pr applications/console-core/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/console-core
rm -rf applications/console-core/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/console-framework
cp -pr applications/console-framework/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/console-framework
rm -rf applications/console-framework/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/console-standard
cp -pr applications/console-standard/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/console-standard
rm -rf applications/console-standard/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/remote-deploy-lib
cp -pr applications/remote-deploy-lib/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/remote-deploy-lib
rm -rf applications/remote-deploy-lib/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/remote-deploy
cp -pr applications/remote-deploy/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/remote-deploy
rm -rf applications/remote-deploy/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/welcome
cp -pr applications/welcome/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/welcome
rm -rf applications/welcome/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/directory
cp -pr modules/directory/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/directory
rm -rf modules/directory/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jetty-builder
cp -pr modules/jetty-builder/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jetty-builder
rm -rf modules/jetty-builder/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jetty
cp -pr modules/jetty/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jetty
rm -rf modules/jetty/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/tomcat-builder
cp -pr modules/tomcat-builder/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/tomcat-builder
rm -rf modules/tomcat-builder/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/tomcat
cp -pr modules/tomcat/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/tomcat
rm -rf modules/tomcat/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/assembly-plugin
cp -pr plugins/geronimo-assembly-plugin/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/assembly-plugin
rm -rf plugins/geronimo-assembly-plugin/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependency-plugin
cp -pr plugins/geronimo-dependency-plugin/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/dependency-plugin
rm -rf plugins/geronimo-dependency-plugin/target/docs/apidocs
install -dm 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deployment-plugin
cp -pr plugins/geronimo-deployment-plugin/target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/deployment-plugin
rm -rf plugins/geronimo-deployment-plugin/target/docs/apidocs

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%if 0
# manual
%endif

%endif

%if %{without_bootstrap1} && %{without_bootstrap2} && %{without_bootstrap3}

# replace libraries in cars by symlinks
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/activemq/%{version}/activemq-%{version}.car/rar
rm activemq-core-0.jar
ln -sf $(build-classpath activemq3/core) activemq-core-0.jar
rm activemq-ra-0.jar
ln -sf $(build-classpath activemq3/ra) activemq-ra-0.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/webconsole-jetty/%{version}/webconsole-jetty-%{version}.car/framework.war/WEB-INF/lib
rm commons-el-0.jar
ln -sf $(build-classpath commons-el) commons-el-0.jar
rm castor-0.jar
ln -sf $(build-classpath oldcastor) castor-0.jar
rm pluto-portal-0.jar
ln -sf $(build-classpath portals-pluto/pluto-portal) pluto-portal-0.jar
rm pluto-descriptors-0.jar
ln -sf $(build-classpath portals-pluto/pluto-descriptors) pluto-descriptors-0.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/webconsole-jetty/%{version}/webconsole-jetty-%{version}.car/standard.war/WEB-INF/lib
rm commons-fileupload-0.jar
ln -sf $(build-classpath commons-fileupload) commons-fileupload-0.jar
rm dwr-0.jar
ln -sf $(build-classpath dwr) dwr-0.jar
rm jstl-0.jar
ln -sf $(build-classpath taglibs-core) jstl-0.jar
rm commons-io-0.jar
ln -sf $(build-classpath commons-io) commons-io-0.jar
rm commons-digester-0.jar
ln -sf $(build-classpath commons-digester) commons-digester-0.jar
rm standard-0.jar
ln -sf $(build-classpath taglibs-standard) standard-0.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/webconsole-tomcat/%{version}/webconsole-tomcat-%{version}.car/framework.war/WEB-INF/lib
rm commons-el-0.jar
ln -sf $(build-classpath commons-el) commons-el-0.jar
rm castor-0.jar
ln -sf $(build-classpath oldcastor) castor-0.jar
rm pluto-portal-0.jar
ln -sf $(build-classpath portals-pluto/pluto-portal) pluto-portal-0.jar
rm pluto-descriptors-0.jar
ln -sf $(build-classpath portals-pluto/pluto-descriptors) pluto-descriptors-0.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/webconsole-tomcat/%{version}/webconsole-tomcat-%{version}.car/standard.war/WEB-INF/lib
rm commons-fileupload-0.jar
ln -sf $(build-classpath commons-fileupload) commons-fileupload-0.jar
rm dwr-0.jar
ln -sf $(build-classpath dwr) dwr-0.jar
rm jstl-0.jar
ln -sf $(build-classpath taglibs-core) jstl-0.jar
rm commons-io-0.jar
ln -sf $(build-classpath commons-io) commons-io-0.jar
rm commons-digester-0.jar
ln -sf $(build-classpath commons-digester) commons-digester-0.jar
rm standard-0.jar
ln -sf $(build-classpath taglibs-standard) standard-0.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/daytrader-derby-jetty/%{version}/daytrader-derby-jetty-%{version}.car
pushd TradeJMS
rm activemq-core-0.jar
ln -sf $(build-classpath activemq3/core) activemq-core-0.jar
rm activemq-ra-0.jar
ln -sf $(build-classpath activemq3/ra) activemq-ra-0.jar
popd
pushd web.war/WEB-INF/lib
rm taglibs-standard-1.1.1.jar
ln -sf $(build-classpath taglibs-standard) taglibs-standard-1.1.1.jar
popd
pushd TradeDataSource
rm tranql-connector.jar
ln -sf $(build-classpath tranql-connector) tranql-connector.jar
rm tranql-connector-derby-common-1.2-SNAPSHOT.jar
ln -sf $(build-classpath tranql-connector-derby-common) tranql-connector-derby-common-1.2-SNAPSHOT.jar
popd
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/daytrader-derby-jetty_streamer.jar/%{version}/daytrader-derby-jetty_streamer.jar-%{version}.car
pushd JPP/ge-activemq-rar/%{version}/rar
rm activemq-core-0.jar
ln -sf $(build-classpath activemq3/core) activemq-core-0.jar
rm activemq-ra-0.jar
ln -sf $(build-classpath activemq3/ra) activemq-ra-0.jar
popd
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/daytrader-derby-tomcat/%{version}/daytrader-derby-tomcat-%{version}.car
pushd TradeJMS
rm activemq-core-0.jar
ln -sf $(build-classpath activemq3/core) activemq-core-0.jar
rm activemq-ra-0.jar
ln -sf $(build-classpath activemq3/ra) activemq-ra-0.jar
popd
pushd web.war/WEB-INF/lib
rm taglibs-standard-1.1.1.jar
ln -sf $(build-classpath taglibs-standard) taglibs-standard-1.1.1.jar
popd
pushd TradeDataSource
rm tranql-connector.jar
ln -sf $(build-classpath tranql-connector) tranql-connector.jar
rm tranql-connector-derby-common-1.2-SNAPSHOT.jar
ln -sf $(build-classpath tranql-connector-derby-common) tranql-connector-derby-common-1.2-SNAPSHOT.jar
popd
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/daytrader-derby-tomcat_streamer.jar/%{version}/daytrader-derby-tomcat_streamer.jar-%{version}.car
pushd JPP/ge-activemq-rar/%{version}/rar
rm activemq-core-0.jar
ln -sf $(build-classpath activemq3/core) activemq-core-0.jar
rm activemq-ra-0.jar
ln -sf $(build-classpath activemq3/ra) activemq-ra-0.jar
popd
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/jsp-examples-jetty/%{version}/jsp-examples-jetty-%{version}.car/WEB-INF/lib
rm jakarta-taglibs-core.jar
ln -sf $(build-classpath taglibs-core) jakarta-taglibs-core.jar
rm jakarta-taglibs-standard.jar
ln -sf $(build-classpath taglibs-standard) jakarta-taglibs-standard.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/jsp-examples-tomcat/%{version}/jsp-examples-tomcat-%{version}.car/WEB-INF/lib
rm jakarta-taglibs-core.jar
ln -sf $(build-classpath taglibs-core) jakarta-taglibs-core.jar
rm jakarta-taglibs-standard.jar
ln -sf $(build-classpath taglibs-standard) jakarta-taglibs-standard.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/system-database/%{version}/system-database-%{version}.car/rar
rm tranql-connector.jar
ln -sf $(build-classpath tranql-connector) tranql-connector.jar
rm tranql-connector-derby-common-1.2-SNAPSHOT.jar
ln -sf $(build-classpath tranql-connector-derby-common) tranql-connector-derby-common-1.2-SNAPSHOT.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/uddi-jetty/%{version}/uddi-jetty-%{version}.car/uddi-db
rm tranql-connector.jar
ln -sf $(build-classpath tranql-connector) tranql-connector.jar
rm tranql-connector-derby-common-1.2-SNAPSHOT.jar
ln -sf $(build-classpath tranql-connector-derby-common) tranql-connector-derby-common-1.2-SNAPSHOT.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/uddi-tomcat/%{version}/uddi-tomcat-%{version}.car/uddi-db
rm tranql-connector.jar
ln -sf $(build-classpath tranql-connector) tranql-connector.jar
rm tranql-connector-derby-common-1.2-SNAPSHOT.jar
ln -sf $(build-classpath tranql-connector-derby-common) tranql-connector-derby-common-1.2-SNAPSHOT.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/welcome-jetty/%{version}/welcome-jetty-%{version}.car/WEB-INF/lib
rm jstl-0.jar
ln -sf $(build-classpath taglibs-core) jstl-0.jar
rm standard-0.jar
ln -sf $(build-classpath taglibs-standard) standard-0.jar
popd

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/welcome-tomcat/%{version}/welcome-tomcat-%{version}.car/WEB-INF/lib
rm jstl-0.jar
ln -sf $(build-classpath taglibs-core) jstl-0.jar
rm standard-0.jar
ln -sf $(build-classpath taglibs-standard) standard-0.jar
popd

%endif

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm \
--exclude /usr/share/geronimo11/bin/client.jar \
--exclude /usr/share/geronimo11/bin/deployer.jar \
--exclude /usr/share/geronimo11/bin/server.jar \
--exclude /usr/share/geronimo11/bin/shutdown.jar \
--exclude /usr/share/geronimo11/bin/upgrade.jar \
--exclude /usr/share/geronimo11/j2ee-jetty/bin/client.jar \
--exclude /usr/share/geronimo11/j2ee-jetty/bin/deployer.jar \
--exclude /usr/share/geronimo11/j2ee-jetty/bin/server.jar \
--exclude /usr/share/geronimo11/j2ee-jetty/bin/shutdown.jar \
--exclude /usr/share/geronimo11/j2ee-jetty/bin/upgrade.jar \
--exclude /usr/share/geronimo11/j2ee-tomcat/bin/client.jar \
--exclude /usr/share/geronimo11/j2ee-tomcat/bin/deployer.jar \
--exclude /usr/share/geronimo11/j2ee-tomcat/bin/server.jar \
--exclude /usr/share/geronimo11/j2ee-tomcat/bin/shutdown.jar \
--exclude /usr/share/geronimo11/j2ee-tomcat/bin/upgrade.jar \
--exclude /usr/share/geronimo11/minimal-jetty/bin/deployer.jar \
--exclude /usr/share/geronimo11/minimal-jetty/bin/server.jar \
--exclude /usr/share/geronimo11/minimal-jetty/bin/shutdown.jar \
--exclude /usr/share/geronimo11/minimal-tomcat/bin/deployer.jar \
--exclude /usr/share/geronimo11/minimal-tomcat/bin/server.jar \
--exclude /usr/share/geronimo11/minimal-tomcat/bin/shutdown.jar \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-jetty/1.1/daytrader-derby-jetty-1.1.car/dt-ejb.jar \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-jetty/1.1/daytrader-derby-jetty-1.1.car/streamer.jar \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-jetty/1.1/daytrader-derby-jetty-1.1.car/wsappclient.jar \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-jetty_streamer.jar/1.1/daytrader-derby-jetty_streamer.jar-1.1.car/dt-ejb.jar \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-jetty_streamer.jar/1.1/daytrader-derby-jetty_streamer.jar-1.1.car/streamer.jar \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-jetty_streamer.jar/1.1/daytrader-derby-jetty_streamer.jar-1.1.car/wsappclient.jar \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-tomcat/1.1/daytrader-derby-tomcat-1.1.car/dt-ejb.jar \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-tomcat/1.1/daytrader-derby-tomcat-1.1.car/streamer.jar \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-tomcat/1.1/daytrader-derby-tomcat-1.1.car/wsappclient.jar \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-tomcat_streamer.jar/1.1/daytrader-derby-tomcat_streamer.jar-1.1.car/dt-ejb.jar \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-tomcat_streamer.jar/1.1/daytrader-derby-tomcat_streamer.jar-1.1.car/streamer.jar \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-tomcat_streamer.jar/1.1/daytrader-derby-tomcat_streamer.jar-1.1.car/wsappclient.jar \
--exclude /usr/share/geronimo11/repository/JPP/ge-activemq-rar/1.1/ge-activemq-rar-1.1.rar \
--exclude /usr/share/geronimo11/repository/JPP/jsp-examples-jetty/1.1/jsp-examples-jetty-1.1.car/plugin/applet \
--exclude /usr/share/geronimo11/repository/JPP/jsp-examples-tomcat/1.1/jsp-examples-tomcat-1.1.car/plugin/applet \
--exclude /usr/share/geronimo11/repository/JPP/webconsole-jetty/1.1/webconsole-jetty-1.1.car/standard.war/WEB-INF/lib/classes.jar \
--exclude /usr/share/geronimo11/repository/JPP/webconsole-jetty/1.1/webconsole-jetty-1.1.car/framework.war/WEB-INF/lib/classes.jar \
--exclude /usr/share/geronimo11/repository/JPP/webconsole-tomcat/1.1/webconsole-tomcat-1.1.car/standard.war/WEB-INF/lib/classes.jar \
--exclude /usr/share/geronimo11/repository/JPP/webconsole-tomcat/1.1/webconsole-tomcat-1.1.car/framework.war/WEB-INF/lib/classes.jar \
--exclude /usr/share/geronimo11/repository/JPP/welcome-tomcat/1.1/welcome-tomcat-1.1.car/WEB-INF/lib/classes.jar \
--exclude /usr/share/geronimo11/repository/JPP/welcome-jetty/1.1/welcome-jetty-1.1.car/WEB-INF/lib/classes.jar \
--exclude /usr/share/geronimo11/repository/JPP/remote-deploy-jetty/1.1/remote-deploy-jetty-1.1.car/WEB-INF/lib/classes.jar \
--exclude /usr/share/geronimo11/repository/JPP/remote-deploy-tomcat/1.1/remote-deploy-tomcat-1.1.car/WEB-INF/lib/classes.jar \
--exclude /usr/share/geronimo11/repository/JPP/jsp-examples-jetty/1.1/jsp-examples-jetty-1.1.car/WEB-INF/classes \
--exclude /usr/share/geronimo11/repository/JPP/servlets-examples-jetty/1.1/servlets-examples-jetty-1.1.car/WEB-INF/classes \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-jetty/1.1/daytrader-derby-jetty-1.1.car/web.war/WEB-INF/classes \
--exclude /usr/share/geronimo11/repository/JPP/jsp-examples-tomcat/1.1/jsp-examples-tomcat-1.1.car/WEB-INF/classes \
--exclude /usr/share/geronimo11/repository/JPP/servlets-examples-tomcat/1.1/servlets-examples-tomcat-1.1.car/WEB-INF/classes \
--exclude /usr/share/geronimo11/repository/JPP/daytrader-derby-tomcat/1.1/daytrader-derby-tomcat-1.1.car/web.war/WEB-INF/classes \


%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post base
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun base
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post server-base
# install geronimo11 (but don't activate)
/sbin/chkconfig --add %{name}
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%pre server-base
# Add the "geronimo" user and group
# we need a shell to be able to use su - later
%{_sbindir}/groupadd geronimo 2> /dev/null || :
%{_sbindir}/useradd -c "Geronimo" -g geronimo \
    -s /bin/sh -d %{_datadir}/%{name} geronimo 2> /dev/null || :

%if %{gcj_support}
%postun server-base
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post server-j2ee-base
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun server-j2ee-base
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post server-jetty-base
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun server-jetty-base
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post server-tomcat-base
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun server-tomcat-base
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post console-web
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun console-web
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post installer-processing
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun installer-processing
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post installer-support
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun installer-support
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post assembly-plugin
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun assembly-plugin
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post dependency-plugin
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun dependency-plugin
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post deployment-plugin
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun deployment-plugin
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post izpack-plugin
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun izpack-plugin
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post packaging-plugin
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun packaging-plugin
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post daytrader-derby
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun daytrader-derby
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post directory
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun directory
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if ! %{with_bootstrap1} && ! %{with_bootstrap2} && %{without_bootstrap3}
%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi
%endif

%files base
%defattr(0644,root,root,0755)
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_docdir}/%{name}-%{version}/README.txt
%doc LICENSE.txt README.txt
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/common-%{version}.jar
%{_javadir}/%{name}/common.jar
%if %{without_bootstrap1}
%{_javadir}/%{name}/connector-%{version}.jar
%{_javadir}/%{name}/connector.jar
%endif
%{_javadir}/%{name}/core-%{version}.jar
%{_javadir}/%{name}/core.jar
%{_javadir}/%{name}/deployment-%{version}.jar
%{_javadir}/%{name}/deployment.jar
%{_javadir}/%{name}/j2ee-%{version}.jar
%{_javadir}/%{name}/j2ee.jar
%{_javadir}/%{name}/kernel-%{version}.jar
%{_javadir}/%{name}/kernel.jar
%{_javadir}/%{name}/management-%{version}.jar
%{_javadir}/%{name}/management.jar
%{_javadir}/%{name}/naming-%{version}.jar
%{_javadir}/%{name}/naming.jar
%if %{without_bootstrap1}
%{_javadir}/%{name}/security-%{version}.jar
%{_javadir}/%{name}/security.jar
%endif
%{_javadir}/%{name}/system-%{version}.jar
%{_javadir}/%{name}/system.jar
%{_javadir}/%{name}/transaction-%{version}.jar
%{_javadir}/%{name}/transaction.jar
%{_javadir}/%{name}/util-%{version}.jar
%{_javadir}/%{name}/util.jar
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/common-%{version}.jar.*
%if %{without_bootstrap1}
%attr(-,root,root) %{_libdir}/gcj/%{name}/connector-%{version}.jar.*
%endif
%attr(-,root,root) %{_libdir}/gcj/%{name}/core-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/deployment-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/j2ee-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/kernel-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/management-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/naming-%{version}.jar.*
%if %{without_bootstrap1}
%attr(-,root,root) %{_libdir}/gcj/%{name}/security-%{version}.jar.*
%endif
%attr(-,root,root) %{_libdir}/gcj/%{name}/system-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/transaction-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/util-%{version}.jar.*
%endif


%if %{without_bootstrap1} && %{without_bootstrap2}
%files server-base
%defattr(0644,root,root,0755)
%{_sysconfdir}/%{name}.conf
%attr(0755,root,root) %{_sysconfdir}/init.d/%{name}
%{_sysconfdir}/sysconfig/%{name}
%{_javadir}/%{name}/client-%{version}.jar
%{_javadir}/%{name}/client.jar
%{_javadir}/%{name}/connector-builder-%{version}.jar
%{_javadir}/%{name}/connector-builder.jar
%{_javadir}/%{name}/deploy-jsr88-%{version}.jar
%{_javadir}/%{name}/deploy-jsr88.jar
%{_javadir}/%{name}/deploy-tool-%{version}.jar
%{_javadir}/%{name}/deploy-tool.jar
%{_javadir}/%{name}/j2ee-builder-%{version}.jar
%{_javadir}/%{name}/j2ee-builder.jar
%{_javadir}/%{name}/j2ee-schema-%{version}.jar
%{_javadir}/%{name}/j2ee-schema.jar
%{_javadir}/%{name}/jmxremoting-%{version}.jar
%{_javadir}/%{name}/jmxremoting.jar
%{_javadir}/%{name}/naming-builder-%{version}.jar
%{_javadir}/%{name}/naming-builder.jar
%{_javadir}/%{name}/security-builder-%{version}.jar
%{_javadir}/%{name}/security-builder.jar
%{_javadir}/%{name}/service-builder-%{version}.jar
%{_javadir}/%{name}/service-builder.jar
%{_javadir}/%{name}/web-builder-%{version}.jar
%{_javadir}/%{name}/web-builder.jar
%{_javadir}/%{name}/webservices-%{version}.jar
%{_javadir}/%{name}/webservices.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/client-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/connector-builder-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/deploy-jsr88-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/deploy-tool-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/j2ee-builder-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/j2ee-schema-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/jmxremoting-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/naming-builder-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/security-builder-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/service-builder-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/web-builder-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/webservices-%{version}.jar.*
%endif
%if %{without_bootstrap3}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/bin
%dir %{_datadir}/%{name}/lib
%dir %{_datadir}/%{name}/lib/endorsed
%dir %{_datadir}/%{name}/lib/ext
%attr(-,geronimo,geronimo) %dir %{_datadir}/%{name}/repository
%attr(-,geronimo,geronimo) %dir %{_datadir}/%{name}/repository/JPP
%dir %{_datadir}/%{name}/schema
%attr(0755,root,root) %{_datadir}/%{name}/bin/*.sh
%{_datadir}/%{name}/bin/*.jar
%{_datadir}/%{name}/lib/cglib*.jar
%{_datadir}/%{name}/lib/commons-cli*.jar
%{_datadir}/%{name}/lib/commons-logging*.jar
%{_datadir}/%{name}/lib/concurrent*.jar
%{_datadir}/%{name}/lib/endorsed/*.jar
%{_datadir}/%{name}/lib/geronimo-common*.jar
%{_datadir}/%{name}/lib/geronimo-deploy-jsr88*.jar
%{_datadir}/%{name}/lib/geronimo-deploy-tool*.jar
%{_datadir}/%{name}/lib/geronimo-deployment*.jar
%{_datadir}/%{name}/lib/geronimo-j2ee-deployment_1.1_spec*.jar
%{_datadir}/%{name}/lib/geronimo-kernel*.jar
%{_datadir}/%{name}/lib/geronimo-qname_1.1_spec*.jar
%{_datadir}/%{name}/lib/geronimo-system*.jar
%{_datadir}/%{name}/lib/geronimo-util*.jar
%{_datadir}/%{name}/lib/log4j*.jar
%{_datadir}/%{name}/lib/mx4j*.jar
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-gbean-deployer/%{version}/geronimo-gbean-deployer-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/j2ee-deployer/%{version}/j2ee-deployer-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/j2ee-security/%{version}/j2ee-security-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/j2ee-server/%{version}/j2ee-server-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/j2ee-system/%{version}/j2ee-system-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/online-deployer/%{version}/online-deployer-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/rmi-naming/%{version}/rmi-naming-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/sharedlib/%{version}/sharedlib-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/shutdown/%{version}/shutdown-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/activeio
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/cglib-nodep
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/commons-cli
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/commons-el
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/commons-logging
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/concurrent
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-client
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-common
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-connector-builder
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-connector
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-core
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-deploy-jsr88
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-deploy-tool
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-deployment
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-j2ee-builder
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-j2ee-schema
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-j2ee
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-jmxremoting
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-kernel
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-management
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-naming-builder
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-naming
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-security-builder
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-security
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-service-builder
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-system
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-transaction
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-util
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-web-builder
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-webservices
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-activation_1.0.2_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-ejb_2.1_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-j2ee-connector_1.5_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-j2ee-deployment_1.1_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-j2ee-jacc_1.0_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-j2ee-management_1.0_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-javamail_1.3.1_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-jaxr_1.0_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-jaxrpc_1.1_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-jms_1.1_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-jsp_2.0_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-jta_1.0.1B_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-qname_1.1_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-saaj_1.1_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-servlet_2.4_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/howl-logger
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/jasper-compiler-jdt
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/jasper-compiler
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/jasper-runtime
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/log4j
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/mx4j-remote
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/mx4j
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/stax-api
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/xbean
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/xercesImpl
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/xmlParserAPIs
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/xpp3
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/xstream
%{_datadir}/%{name}/schema/application_1_2.dtd
%{_datadir}/%{name}/schema/application_1_3.dtd
%{_datadir}/%{name}/schema/application_1_4.xsd
%{_datadir}/%{name}/schema/application-client_1_2.dtd
%{_datadir}/%{name}/schema/application-client_1_3.dtd
%{_datadir}/%{name}/schema/application-client_1_4.xsd
%{_datadir}/%{name}/schema/connector_1_0.dtd
%{_datadir}/%{name}/schema/connector_1_0.xsd
%{_datadir}/%{name}/schema/connector_1_5.xsd
%{_datadir}/%{name}/schema/corba-css-config-2.0.xsd
%{_datadir}/%{name}/schema/corba-tss-config-2.0.xsd
%{_datadir}/%{name}/schema/ejb-jar_1_1.dtd
%{_datadir}/%{name}/schema/ejb-jar_2_0.dtd
%{_datadir}/%{name}/schema/ejb-jar_2_1.xsd
%{_datadir}/%{name}/schema/geronimo-application-1.1.xsd
%{_datadir}/%{name}/schema/geronimo-connector-1.1.xsd
%{_datadir}/%{name}/schema/geronimo-javabean-xmlattribute-1.0.xsd
%{_datadir}/%{name}/schema/geronimo-login-config-1.1.xsd
%{_datadir}/%{name}/schema/geronimo-module-1.1.xsd
%{_datadir}/%{name}/schema/geronimo-naming-1.1.xsd
%{_datadir}/%{name}/schema/geronimo-security-1.1.xsd
%{_datadir}/%{name}/schema/geronimo-web-1.1.xsd
%{_datadir}/%{name}/schema/j2ee_1_4.xsd
%{_datadir}/%{name}/schema/j2ee_jaxrpc_mapping_1_1.xsd
%{_datadir}/%{name}/schema/j2ee_web_services_1_1.xsd
%{_datadir}/%{name}/schema/j2ee_web_services_client_1_1.xsd
%{_datadir}/%{name}/schema/jsp_2_0.xsd
%{_datadir}/%{name}/schema/web-app_2_2.dtd
%{_datadir}/%{name}/schema/web-app_2_3.dtd
%{_datadir}/%{name}/schema/web-app_2_4.xsd
%{_datadir}/%{name}/schema/web-jsptaglibrary_1_1.dtd
%{_datadir}/%{name}/schema/web-jsptaglibrary_1_2.dtd
%{_datadir}/%{name}/schema/xml.xsd
%endif
%endif

%if %{without_bootstrap1} && %{without_bootstrap2}
%files server-j2ee-base
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/activation-%{version}.jar
%{_javadir}/%{name}/activation.jar
%{_javadir}/%{name}/axis-%{version}.jar
%{_javadir}/%{name}/axis.jar
%{_javadir}/%{name}/axis-builder-%{version}.jar
%{_javadir}/%{name}/axis-builder.jar
%{_javadir}/%{name}/client-builder-%{version}.jar
%{_javadir}/%{name}/client-builder.jar
%{_javadir}/%{name}/console-core-%{version}.jar
%{_javadir}/%{name}/console-core.jar
%{_javadir}/%{name}/converter-%{version}.jar
%{_javadir}/%{name}/converter.jar
%{_javadir}/%{name}/deploy-config-%{version}.jar
%{_javadir}/%{name}/deploy-config.jar
%{_javadir}/%{name}/derby-%{version}.jar
%{_javadir}/%{name}/derby.jar
%{_javadir}/%{name}/hot-deploy-%{version}.jar
%{_javadir}/%{name}/hot-deploy.jar
%{_javadir}/%{name}/javamail-transport-%{version}.jar
%{_javadir}/%{name}/javamail-transport.jar
%{_javadir}/%{name}/mail-%{version}.jar
%{_javadir}/%{name}/mail.jar
%{_javadir}/%{name}/remote-deploy-lib-%{version}.jar
%{_javadir}/%{name}/remote-deploy-lib.jar
%{_javadir}/%{name}/test-ddbean-%{version}.jar
%{_javadir}/%{name}/test-ddbean.jar
%{_javadir}/%{name}/timer-%{version}.jar
%{_javadir}/%{name}/timer.jar
%{_javadir}/%{name}/uddi-db-%{version}.jar
%{_javadir}/%{name}/uddi-db.jar
%{_javadir}/%{name}/upgrade-%{version}.jar
%{_javadir}/%{name}/upgrade.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/activation-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/axis-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/axis-builder-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/client-builder-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/console-core-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/converter-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/deploy-config-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/derby-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/hot-deploy-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/javamail-transport-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/mail-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/remote-deploy-lib-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/test-ddbean-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/timer-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/upgrade-%{version}.jar.*
%endif
%if %{without_bootstrap3}
%{_datadir}/%{name}/lib/xpp3*.jar
%{_datadir}/%{name}/lib/xstream*.jar
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/activemq/%{version}/activemq-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/activemq-broker/%{version}/activemq-broker-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/axis/%{version}/axis-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/axis-deployer/%{version}/axis-deployer-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/client/%{version}/client-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/client-corba/%{version}/client-corba-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/client-deployer/%{version}/client-deployer-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/client-security/%{version}/client-security-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/client-system/%{version}/client-system-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/hot-deployer/%{version}/hot-deployer-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/j2ee-corba/%{version}/j2ee-corba-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/javamail/%{version}/javamail-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/openejb/%{version}/openejb-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/openejb-deployer/%{version}/openejb-deployer-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/system-database/%{version}/system-database-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/upgrade/%{version}/upgrade-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/upgrade-cli/%{version}/upgrade-cli-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/activecluster
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/activemq-core
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/activemq-gbean-g1_1
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/activemq-gbean-management-g1_1
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/antlr
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/asm
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/axis-axis
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/commons-beanutils
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/commons-collections
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/commons-digester
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/commons-discovery
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/commons-modeler
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/derby
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/derbyclient
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/derbynet
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/derbytools
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/ge-activemq-rar
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-activation
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-axis-builder
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-axis
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-client-builder
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-console-core
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-converter
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-deploy-config
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-derby
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-hot-deploy
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-j2ee_1.4_spec
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-javamail-transport
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-mail
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-remote-deploy-lib
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-spec-corba
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-test-ddbean
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-timer
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-uddi-db
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-upgrade
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/jaxr-api
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/jdom
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/juddi
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/openejb-builder
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/openejb-core
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/openejb-pkgen-builder
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/pluto-descriptors
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/pluto-portal
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/pluto
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/portlet-api
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/scout
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/tranql-connector-derby-client-local
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/tranql-connector-derby-client-xa
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/tranql-connector-derby-embed-local
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/tranql-connector-derby-embed-xa
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/tranql-connector
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/tranql
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/wsdl4j
%{_datadir}/%{name}/schema/geronimo-application-client-1.1.xsd
%{_datadir}/%{name}/schema/openejb-jar-2.1.xsd
%{_datadir}/%{name}/schema/openejb-pkgen-2.0.xsd
%{_datadir}/%{name}/schema/wsdl.xsd
%endif
%endif

%if %{without_bootstrap1} && %{without_bootstrap2}
%files server-jetty-base
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jetty-builder-%{version}.jar
%{_javadir}/%{name}/jetty-builder.jar
%{_javadir}/%{name}/jetty-%{version}.jar
%{_javadir}/%{name}/jetty.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/jetty-builder-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/jetty-%{version}.jar.*
%endif
%if %{without_bootstrap3}
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/jetty/%{version}/jetty-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/jetty-deployer/%{version}/jetty-deployer-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-jetty-builder
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-jetty
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/org.mortbay.jetty
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/spring
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/wadi-core
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/wadi-jetty5
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/wadi-tomcat55
%{_datadir}/%{name}/schema/geronimo-jetty-1.1.xsd
%{_datadir}/%{name}/schema/geronimo-jetty-config-1.0.xsd
%endif
%endif

%if %{without_bootstrap1} && %{without_bootstrap2}
%files server-tomcat-base
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/tomcat-builder-%{version}.jar
%{_javadir}/%{name}/tomcat-builder.jar
%{_javadir}/%{name}/tomcat-%{version}.jar
%{_javadir}/%{name}/tomcat.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/tomcat-builder-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/tomcat-%{version}.jar.*
%endif
%if %{without_bootstrap3}
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/tomcat/%{version}/tomcat-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/tomcat-deployer/%{version}/tomcat-deployer-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/catalina-cluster
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/catalina-optional
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/catalina
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-tomcat-builder
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/geronimo-tomcat
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/naming-resources
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/servlets-default
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/servlets-invoker
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/tomcat-ajp
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/tomcat-coyote
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/tomcat-http
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/tomcat-util
%{_datadir}/%{name}/schema/geronimo-tomcat-1.1.xsd
%{_datadir}/%{name}/schema/geronimo-tomcat-config-1.0.xsd
%endif
%endif

%if %{without_bootstrap1} && %{without_bootstrap2} && %{without_bootstrap3}
%files server-j2ee-jetty
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %dir %{_datadir}/%{name}/j2ee-jetty
%dir %{_datadir}/%{name}/j2ee-jetty/bin
%{_datadir}/%{name}/j2ee-jetty/bin/*.jar
%{_datadir}/%{name}/j2ee-jetty/bin/*.sh
%{_datadir}/%{name}/j2ee-jetty/bin/server_vars
%dir %{_datadir}/%{name}/j2ee-jetty/lib
%{_datadir}/%{name}/j2ee-jetty/lib/*.jar
%dir %{_datadir}/%{name}/j2ee-jetty/lib/endorsed
%{_datadir}/%{name}/j2ee-jetty/lib/endorsed/*.jar
%dir %{_datadir}/%{name}/j2ee-jetty/lib/ext
%{_datadir}/%{name}/j2ee-jetty/repository
%{_datadir}/%{name}/j2ee-jetty/schema
%{_datadir}/%{name}/j2ee-jetty/var
%attr(-,geronimo,geronimo) %{_localstatedir}/%{name}/j2ee-jetty
%attr(-,geronimo,geronimo) %{_localstatedir}/log/%{name}/j2ee-jetty
%attr(-,geronimo,geronimo) %{_localstatedir}/cache/%{name}/j2ee-jetty
%endif

%if %{without_bootstrap1} && %{without_bootstrap2} && %{without_bootstrap3}
%files server-j2ee-tomcat
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %dir %{_datadir}/%{name}/j2ee-tomcat
%dir %{_datadir}/%{name}/j2ee-tomcat/bin
%{_datadir}/%{name}/j2ee-tomcat/bin/*.jar
%{_datadir}/%{name}/j2ee-tomcat/bin/*.sh
%{_datadir}/%{name}/j2ee-tomcat/bin/server_vars
%dir %{_datadir}/%{name}/j2ee-tomcat/lib
%{_datadir}/%{name}/j2ee-tomcat/lib/*.jar
%dir %{_datadir}/%{name}/j2ee-tomcat/lib/endorsed
%{_datadir}/%{name}/j2ee-tomcat/lib/endorsed/*.jar
%dir %{_datadir}/%{name}/j2ee-tomcat/lib/ext
%{_datadir}/%{name}/j2ee-tomcat/repository
%{_datadir}/%{name}/j2ee-tomcat/schema
%{_datadir}/%{name}/j2ee-tomcat/var
%attr(-,geronimo,geronimo) %{_localstatedir}/%{name}/j2ee-tomcat
%attr(-,geronimo,geronimo) %{_localstatedir}/log/%{name}/j2ee-tomcat
%attr(-,geronimo,geronimo) %{_localstatedir}/cache/%{name}/j2ee-tomcat
%endif

%if %{without_bootstrap1} && %{without_bootstrap2} && %{without_bootstrap3}
%files server-minimal-base
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/unavailable-client-deployer/%{version}/unavailable-client-deployer-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/unavailable-ejb-deployer/%{version}/unavailable-ejb-deployer-%{version}.car
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/unavailable-webservices-deployer/%{version}/unavailable-webservices-deployer-%{version}.car
%endif

%if %{without_bootstrap1} && %{without_bootstrap2} && %{without_bootstrap3}
%files server-minimal-jetty
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %dir %{_datadir}/%{name}/minimal-jetty
%dir %{_datadir}/%{name}/minimal-jetty/bin
%{_datadir}/%{name}/minimal-jetty/bin/*.jar
%{_datadir}/%{name}/minimal-jetty/bin/*.sh
%{_datadir}/%{name}/minimal-jetty/bin/server_vars
%dir %{_datadir}/%{name}/minimal-jetty/lib
%{_datadir}/%{name}/minimal-jetty/lib/*.jar
%dir %{_datadir}/%{name}/minimal-jetty/lib/endorsed
%{_datadir}/%{name}/minimal-jetty/lib/endorsed/*.jar
%dir %{_datadir}/%{name}/minimal-jetty/lib/ext
%{_datadir}/%{name}/minimal-jetty/repository
%{_datadir}/%{name}/minimal-jetty/schema
%{_datadir}/%{name}/minimal-jetty/var
%attr(-,geronimo,geronimo) %{_localstatedir}/%{name}/minimal-jetty
%attr(-,geronimo,geronimo) %{_localstatedir}/log/%{name}/minimal-jetty
%attr(-,geronimo,geronimo) %{_localstatedir}/cache/%{name}/minimal-jetty
%endif

%if %{without_bootstrap1} && %{without_bootstrap2} && %{without_bootstrap3}
%files server-minimal-tomcat
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %dir %{_datadir}/%{name}/minimal-tomcat
%dir %{_datadir}/%{name}/minimal-tomcat/bin
%{_datadir}/%{name}/minimal-tomcat/bin/*.jar
%{_datadir}/%{name}/minimal-tomcat/bin/*.sh
%{_datadir}/%{name}/minimal-tomcat/bin/server_vars
%dir %{_datadir}/%{name}/minimal-tomcat/lib
%{_datadir}/%{name}/minimal-tomcat/lib/*.jar
%dir %{_datadir}/%{name}/minimal-tomcat/lib/endorsed
%{_datadir}/%{name}/minimal-tomcat/lib/endorsed/*.jar
%dir %{_datadir}/%{name}/minimal-tomcat/lib/ext
%{_datadir}/%{name}/minimal-tomcat/repository
%{_datadir}/%{name}/minimal-tomcat/schema
%{_datadir}/%{name}/minimal-tomcat/var
%attr(-,geronimo,geronimo) %{_localstatedir}/%{name}/minimal-tomcat
%attr(-,geronimo,geronimo) %{_localstatedir}/log/%{name}/minimal-tomcat
%attr(-,geronimo,geronimo) %{_localstatedir}/cache/%{name}/minimal-tomcat
%endif

%if %{without_bootstrap1} && %{without_bootstrap2} && %{without_bootstrap3}
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}
%endif

%if %{without_bootstrap1} && %{without_bootstrap2} && %{without_bootstrap3}
%if 0
%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/*
%endif
%endif

%if %{without_bootstrap1} && %{without_bootstrap2}

%files console-web
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/console-web-%{version}.jar
%{_javadir}/%{name}/console-web.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/console-web-%{version}.jar.*
%endif

%files installer-processing
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/installer-processing-%{version}.jar
%{_javadir}/%{name}/installer-processing.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/installer-processing-%{version}.jar.*
%endif

%files installer-support
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/installer-support-%{version}.jar
%{_javadir}/%{name}/installer-support.jar
%{_javadir}/%{name}/standalone-compiler-custom-%{standalone_compiler_version}.jar
%{_javadir}/%{name}/standalone-compiler-custom.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/standalone-compiler-custom-%{standalone_compiler_version}.jar.*
%endif

%files assembly-plugin
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/geronimo-assembly-plugin-%{version}.jar
%{_javadir}/%{name}/geronimo-assembly-plugin.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/geronimo-assembly-plugin-%{version}.jar.*
%endif

%files dependency-plugin
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/geronimo-dependency-plugin-%{version}.jar
%{_javadir}/%{name}/geronimo-dependency-plugin.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/geronimo-dependency-plugin-%{version}.jar.*
%endif

%files deployment-plugin
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/geronimo-deployment-plugin-%{version}.jar
%{_javadir}/%{name}/geronimo-deployment-plugin.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/geronimo-deployment-plugin-%{version}.jar.*
%endif

%files izpack-plugin
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/geronimo-izpack-plugin-%{version}.jar
%{_javadir}/%{name}/geronimo-izpack-plugin.jar

%files packaging-plugin
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/geronimo-packaging-plugin-%{version}.jar
%{_javadir}/%{name}/geronimo-packaging-plugin.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/geronimo-packaging-plugin-%{version}.jar.*
%endif

%files daytrader-derby
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/daytrader-derby-db-%{version}.jar
%{_javadir}/%{name}/daytrader-derby-db.jar

%files directory
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/directory-%{version}.jar
%{_javadir}/%{name}/directory.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/directory-%{version}.jar.*
%endif

%if %{without_bootstrap3}

%files config-daytrader-derby-jetty
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/daytrader-derby-jetty/%{version}/daytrader-derby-jetty-%{version}.car

%files config-daytrader-derby-jetty-streamer
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/daytrader-derby-jetty_streamer.jar/%{version}/daytrader-derby-jetty_streamer.jar-%{version}.car

%files config-daytrader-derby-tomcat
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/daytrader-derby-tomcat/%{version}/daytrader-derby-tomcat-%{version}.car

%files config-daytrader-derby-tomcat-streamer
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/daytrader-derby-tomcat_streamer.jar/%{version}/daytrader-derby-tomcat_streamer.jar-%{version}.car

%files config-directory
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/directory/%{version}/directory-%{version}.car

%files config-jsp-examples-jetty
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/jsp-examples-jetty/%{version}/jsp-examples-jetty-%{version}.car

%files config-jsp-examples-tomcat
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/jsp-examples-tomcat/%{version}/jsp-examples-tomcat-%{version}.car

%files config-ldap-demo-jetty
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/ldap-demo-jetty/%{version}/ldap-demo-jetty-%{version}.car

%files config-ldap-demo-tomcat
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/ldap-demo-tomcat/%{version}/ldap-demo-tomcat-%{version}.car

%files config-ldap-realm
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/ldap-realm/%{version}/ldap-realm-%{version}.car

%files config-remote-deploy-jetty
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/remote-deploy-jetty/%{version}/remote-deploy-jetty-%{version}.car

%files config-remote-deploy-tomcat
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/remote-deploy-tomcat/%{version}/remote-deploy-tomcat-%{version}.car

%files config-servlets-examples-jetty
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/servlets-examples-jetty/%{version}/servlets-examples-jetty-%{version}.car

%files config-servlets-examples-tomcat
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/servlets-examples-tomcat/%{version}/servlets-examples-tomcat-%{version}.car

%files config-uddi-jetty
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/uddi-jetty/%{version}/uddi-jetty-%{version}.car

%files config-uddi-tomcat
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/uddi-tomcat/%{version}/uddi-tomcat-%{version}.car

%files config-webconsole-jetty
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/webconsole-jetty/%{version}/webconsole-jetty-%{version}.car

%files config-webconsole-tomcat
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/webconsole-tomcat/%{version}/webconsole-tomcat-%{version}.car

%files config-welcome-jetty
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/welcome-jetty/%{version}/welcome-jetty-%{version}.car

%files config-welcome-tomcat
%defattr(0644,root,root,0755)
%attr(-,geronimo,geronimo) %{_datadir}/%{name}/repository/JPP/welcome-tomcat/%{version}/welcome-tomcat-%{version}.car

%endif
%endif

%changelog
* Thu Apr 26 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.1-3jpp
- Fix misprint in gcj_support macro
- Complete gcj_support option
- Fix console-web subpackage

* Tue Mar 20 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.1-2jpp
- (B)R ecj instead of eclipse-ecj

* Tue Nov 28 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.1-1jpp
- First JPP release

